Blade

Introducing Blade

Getting Started

Editing Blade Preferences

Editing Blade Files

Creating Profile Plots

Saving Calculations

Toggling the Toolbar and Status Bar

Blade Toolbar

Blade Shortcuts

Measuring Blade Parameters

Reports/Output

Appendix A: Using Blade with other Measuring Systems

Appendix B: Measuring Multi-bladed Rotors


Introducing Blade

Blade is an analysis package that takes collected data (2D or 3D) about a measured airfoil and three dimensionally analyzes and compares it against nominal data. Various characteristics can be displayed in reports and plots that allow a user to quickly identify problems and solutions to manufacturing and engineering issues.

There are two ways Blade is used to analyze an airfoil.

  1. Online: Blade works in conjunction with PC-DMIS to take blade measurements and analyze the report file results. This is the most common way Blade is used. Operation is automated, and very little operator input is necessary. This is typically used in a manufacturing scenario.

blade cover art

Measuring a blade

  2. Offline: The user activates Blade from a shortcut or the Start menu. The user then interacts with Blade in order to create a custom analysis of an airfoil or reanalyze an airfoil that was previously measured. This is typically used in an engineering or reverse engineering scenario. See the "Creating Profile Plots" topic for more information on creating plot in Offline mode.

Blade Can Be Used For:

  1. Manufacturing

    • Process control (In-process inspection)

    • Final Acceptance

  2. Engineering

    • Process Engineering

    • Reverse Engineering


Getting Started

Blade inspection in a fixture using a star probe

To begin using Blade, complete the following steps:

  1. Install and Launch Blade

  2. Open a Report File

  3. Modify Preferences and Resource Files


Install and Launch Blade

To install Blade:

  1. Attach the portlock that is programmed with the Blade option enabled. This is required to run Blade.

  2. Download the current version of Blade from the WAI ftp-site at ftp://ftp.wilcoxassoc.com/BladeInstall/ if you have not already done so. The file is named BladeSetup<version>.zip

  3. Unzip the contents of the downloaded ZIP file to a directory on your hard drive.

  4. Install Blade by double-clicking BladeSetup.exe. Follow the instructions given by the Blade Setup Wizard.

To launch Blade:

Double-click the program shortcut on the desktop or click the Start button and select Program Files | Blade to launch Blade.


Open a Report File

Blade analyzes data that is stored in a Report file. If you are ONLINE using the BladeRunner application, a report file will automatically be created upon execution of your Blade part program. This newly created report file is then passed directly to Blade for analysis.

If you are OFFLINE, you may also open an existing report file.

To open an existing report file:

  1. Select the File | Open menu item or click the Open button [image] on the Blade toolbar. The Open dialog box appears.

Open dialog box

  2. Browse to and select the needed Report file and click Open. If you have not created a report file on your system, then you will have to create one. See the "Report File" topic.

Default reports and plots are displayed. For custom offline plotting see "Creating Profile Plots".

Note: For more general information on Blade operation, see the topic "Modify Preferences and Resource Files".


Modify Preferences and Blade Files

Blade Preferences

To modify Blade preferences, select the Edit | Preferences menu option or the Set Preferences button [image] on the Blade toolbar to open the Preferences dialog box.

See the "Editing Blade Preferences" topic for more information on each of the available options.

Blade Files

There are four necessary Blade files for the processing of one blade:

  • Flavor (*.flv) -- Select the Create | Flavor File or Edit | Flavor File menu items to create or edit Flavor files.

  • Tolerance (*.tol) -- Select the Create | Tolerance File or Edit | Tolerance File menu items to create or edit Tolerance files.

  • Nominal (*.nom) -- Select the Create | Nominal File or Edit | Nominal File menu items to create or edit Nominal files.

  • Report (*.rpt) -- This file cannot be edited from Blade and probably should not be edited since it contains the actual measured data.

Note: All files that are specified in the report file (created by BladeRunner) are used to define analysis of a blade. These files (nominal, tolerance and flavor) will be opened using the names specified in the file. Thus the names in the file should be full path name or the files should reside in the same directory as the report file.

There is also additional resource files that Blade uses:

  • Header (*.hdr) -- Select the Create | Header File or Edit | Header File menu items to create or edit Header files.

  • Math (*.mth) -- Select the Create | Math File menu item of click the Create Math File button [image] to create Math files.

  • Reverse (*.rev) -- Blade allows you to convert a reverse engineer source file into a nominal (*.nom) file.

  • Average (*.avg) -- Blade allows you to convert multiple average files into one Report (*.rpt) file.

See the "Editing Blade Files" topic for more information on editing each of the Blade files.


Editing Blade Preferences

The Preferences dialog box allows you to determine how analysis Reports and Plots are created and displayed. The general preferences are applied to all reports and plots where the setting is applicable. It may require reopening a report for the changes to take affect.

Specify the needed values using the following tabs:

  • Profile Plot

  • Reporting

  • Spline Settings

  • Compensation Settings

  • Database


Profile Plot

Preferences dialog box - Profile Plot tab

Selecting from the following Display Options will display these elements as part of the Profile Plot:

Contour Plot Elements

  1. Deviation Legs - Lines displayed between the nominal and the measured points.

  2. Tolerance Curves - Displays the profile lines beyond which measured values are considered out of tolerance.

  3. Nominal Curves - Displays the nominal profile for the measured blade section.

  4. Nominal Point - Location of the nominal value specified with a small square.

  5. Measured Point - Location of the actual measured value specified with a square with the deviation color as specified in the Reporting tab of the Preferences dialog box.

  6. Point Tolerances -

  7. (No) Measured Curve - Determines how the measured curve is displayed. No Measured Curve will remove the measured curve line while Measured Curve will display the line. Point to Point will display the line as

Trihedron, Full Axes or Scales display options:

    • Trihedron Option

    • Full Axes Option

    • Scales Options

Color Legend - This option determines whether the color legend is displayed in the header. This legend shows the colors that are used to indicate Nominal, In Tol (+), In Tol (-), Out of Tol (+) and Out of Tol (-) values.

Label Sides - This determines whether the CCV (concave side), CVX (convex side), LE (leading edge), and TE (trailing edge) labels are displayed on the contour plot.

Footer Information

From the Footer Information list, select the options that you need to include as part of the footer information. To select more then one option, press and hold the CTRL key while selecting each option. To select a range of options, select the first option then press and hold the SHIFT key will selecting the last option for the range.

See Also: "Creating Profile Plots"


Reporting

Preferences dialog box - Reporting tab

The following Reporting tab values specify the colors and screen behavior for report viewing:

Angle Format - Specify whether angles are displayed with a Degrees Minutes Seconds format or a Decimal Degrees format.

Colors - Click the Nominal, + Tolerance, - Tolerance, + In Tol, - In Tol, + Out Tol, and - Out Tol buttons and select the needed color from the Color dialog box to specify the colors that will be used to indicate each value type.

Default Screen Zoom - This determines the percentage of zoom that will be applied the report view with in the report window when you first open a report.

View State - Select the Tabbed option to view the report windows in tabbed section in the Blade application. Select the Normal option to display the report window in a normal state (not tabbed).

Print Orientation - Select either Portrait (vertical) or Landscape (horizontal) orientation when viewing reports.

Max Font Height - According to the zoom of the report window, the font size will be adjusted to correspond to the current zoom. This value allows you to limit the size of the text as you zoom-in to the report. Report text will not be any larger than the Inch or MM value specified in the text box.

Decimal Places - Values will be displayed with corresponding number of decimal places for Inch, MM, and Angle values. Selecting the Expand Tols number will ????

Close All When New Request Arrives -

Start With Initial State Minimized -

Abort Report If Any Section Trim Fails -

Auto Plots to PDF Files - Plots will automatically be generated as PDF formatted documents when this option is selected.


Spline Settings

Preferences dialog box - Spline Settings tab

The Spline Settings tab allows you to specify advanced settings for Spline generation.

Display: Number of segments per curve - This value species the number of segments that are used to make up the displayed curve.

Note: If your plots look "blocky" then it might be useful to increase the "Number of segments per curve" to a higher value. This might slow down blade, but increases the curved look to the section.

Nominal and Measured MCL Backoff Percentage - The two values provide

Spline Creation Parameters

Normally it is not necessary to change these parameters for most inspections. Typical reasons for changes might include:

  1. Remove Hooks and Spikes - For example, If you have rough or choppy nominal data, select Remove Hooks and Spikes under Nominal Options, and also consider selecting Apply Tension as well. If the actual rough data that is being removed by Remove Hooks and Spikes, then deselect this option under Measured Options.

  2. Apply Tension -

Mean Camber Line Options

Number of Points for Nominals -

Number of Points for Measured -


Compensation Settings

Preferences dialog box - Compensation tab

The Compensation tab allows you to specify how normal vectors are calculated. Vectors can be determined by compensating for the probe ball radius or by using the normal vectors established by your measuring system.

Use calculated ball center spline to determine normal vectors - Removes the probe ball radius for the points specified by the Filter Spacing value to calculate the normal vectors for all points along the spline. This option can reduce the effect that poor surface condition can have on the compensated data.

Use normal vectors supplied by the measurement system - The normal vectors that were calculated by your measuring system will be used when this option is selected.

Resort Ends after Probe Compensation - Used to instruct Blade to take the points that define the end and sort them after the compensation. This attempts to get rid of any crossings that occur as a result of the compensation.

Remove Points From Square End Transitions - For square end blades, a condition exists that doesn’t occur for normal rounded blade ends. First it should be said that part of the point compensation involves trying to find which point on the nominal curve is representative of a point that is being compensated. When the point is found, Blade borrows the K component of its normal vector and uses that as part of the compensation (See image below). For square ends, an abrupt change occurs when transitioning from the side to the end of the blade. But when the blade is scanned, the probe rotates around the sharp corner resulting in a round area in the ball center points as it scans around the corner. Blade tries to figure out what the K component of these points are, but they really aren’t defined because of the abrupt nominal change. Remove Points From Square End Transitions is used to instruct Blade to throw those points away and not attempt calculations with them.

Example showing Questionable Points on a Square End blade


Database

Preferences dialog box - Database tab

The Database tab allows you to specify the DataPage database to use for default database reporting. See the DataPage online help file.

Type the path for the location of the Default Database to which statistics will be saved. You may also click Browse to find and select the location. When the Action | Save Calculations menu option is selected data will be exported to the database.

Data is exported to the database when the Save Data to DataPage option is selected in the Miscellaneous 1 tab of the Flavor File dialog box. If no database is provided in the flavor file then this default database is used.

Save Zone Form Values To Database - Select this option if you want to want to save Zone Form Values to the database.


Editing Blade Files

Blade resource files consist of ASCII text files with various extensions (*.rpt, *.nom, *.tol, *.flv, etc.) depending on the file type.

During the processing of all Blade files, any blank lines are ignored and any lines beginning with an exclamation point (!) are treated as comments. Comments can be used to enhance readability and document the contents.

Blade uses the following files:

  • Report File

  • Nominal File

  • Tolerance File

  • Flavor File

  • Header File

  • Math File

  • Reverse File - See the "Reverse Engineer a Nominal File" topic.

  • Average File - See the "Average a Set of Blades" topic.


Report File

The Report file (*.rpt) contains the actual blade data and other information such as statistics, time, date, and probe radius if any.

Report files are created using the BladeRunner measurement application. BladeRunner manages the automatic creation of a report file using PC-DMIS. This program should be installed with the Blade Package in PC-DMIS installations. Refer to BladeRunner help for proper operation of the Blade Turnkey System.

See "Appendix A: Using Blade with other Measuring Systems".

More:

Report File Example

Average a Set of Blades


Example Report File

Report File Example

!******Start of Report file**********

FLAVOR C:\BladeRunner\BS1.flv
PART Generic
DATE 07/21/01 11:58:04
NOMINAL C:\BladeRunner\Blades\Generic\Generic.nom
TOLERANCE C:\BladeRunner\Blades\Generic\Generic.tol
RADIUS 0.0000
TEXT LCC=1002
TEXT PARTCOUNT=8
NUM_SECT 5
SECTION A-A 212
-0.5805 , 0.4346 , 0.8493 ,-0.7581 , 0.6522 , 0
-0.5818 , 0.4321 , 0.8495 ,-0.9211 , 0.3893 , 0
-0.5828 , 0.4291 , 0.8496 ,-0.9956 , 0.094 , 0
........
........
........
SECTION B-B 200
-0.5805 , 0.4346 , 0.8493 ,-0.7581 , 0.6522 , 0
-0.5818 , 0.4321 , 0.8495 ,-0.9211 , 0.3893 , 0
-0.5828 , 0.4291 , 0.8496 ,-0.9956 , 0.094 , 0
........
........
........

!******Start of Report file**********

Note: The section line consists of the SECTION keyword, the point count for the section, and then optionally two point counters for each the concave and convex sides. If the point counters are not specified, then Blade assumes that no trimming is to be done. With the two point counters specified, Blade will attempt to trim the section.


Average a Set of Blades

The Average airfoil technique allows you to determine the best nominal definition for the creation of a Blade Report file

To Create a Set of Average Blade Files:

  1. Select the Edit | Flavor File menu item and select the Customization tab.

Flavor File dialog box - Customization tab

  2. Change the Point Saving Method option to either "Nominal Points" or "Distribution File". This will cause Average files (*.avg) to be created for each blade inspection.

Note: The Find Using Bestfit check box determines whether a best fit is applied to the measured curve prior to intersecting the points with rays.

  3. Measure one blade multiple times or measure multiple blades one time each to create Average files. A number of Average files will be created, one for each blade inspection.

  4. Select the Create | Average Blade menu item. The Average Blade dialog box appears.

Average Blade dialog box

  5. Browse to and select the existing Report file or create a new Report file from the Save As dialog box. You may also type the full path and name in the RPT File To Create box if you choose.

  6. Browse / Add the previously created Average files using the Open dialog box. The Files the will be averaged are listed in the AVG Files to Average list box. Highlight and press Delete to remove any unwanted entries.

  7. Click OK to create the specified Report file which can be analyzed like any Blade Report file.

For help on analyzing a report file see the topic "Creating Profile Plots" for more information.


Nominal File

The Nominal file (*.nom) provides nominal shape of one or more sections of your blade. Nominal characteristics are calculated using this file. There are a number of ways a nominal file can be created:

  1. Select the Create | Nominal File menu item from the Blade interface. This opens the Save As dialog box. Provide a File Name and click Save. The Nominal File Editor appears. See "Editing a Nominal File".

  2. Use the automatic converter for ASCII data files that comes with the BladeRunner application. Refer to BladeRunner help file for details.

  3. Use PC-DMIS to create an XYZIJK file by scanning the CAD file OFFLINE and exporting to Generic text. Use this file in steps 1 or 2 to create the nominal file. PC-DMIS can use many CAD formats including but not limited to: IGES, STEP, CATIA, UG, ProE, Solidworks, Solidedge, Parasolid, AutoCAD, IDEAS, and STL.

  4. Use a CAD package to create the nominal file. Many CAD packages have functions and macros that can be easily learned to do this function.

  5. Manually create a nominal file using a text editor. See the "Example Nominal File" topic for more details.

More:

Editing a Nominal File

Example Nominal File

Nominal File Keywords

Measuring a Square Edge Blade

Reverse Engineer a Nominal File

Problems with Nominal Files


Editing a Nominal File

The Nominal File Editor is a Blade tool that allows you to edit the nominal shape of the section of your Blade.

To Edit a Nominal File:

  1. Select the Edit | Nominal File menu item. The Open dialog box appears.

  2. Browse to and select the existing nominal file and click Open. This opens the Nominal File Editor dialog box.

Note: The Nominal file (*.nom) can be edited manually using a text editor like "Notepad" or "Wordpad".

Nominal File Editor

Use the Nominal File Editor to edit the associated nominal file:

  • Section List - Provides the available sections in the nominal file. Select the needed section from the list to display the section data in the rest of the dialog box to be edited. Double-clicking a section opens the Section Definition dialog box. See the " Section Definition" topic.

  • New - Opens the Section Definition dialog box to create a new section definition.

  • Delete - Deletes the selected section form the Section List. You will be prompted to verify deletion.

  • Current Section Properties - Displays the properties of the current section as defined in the "Section Definition" dialog box.

  • Blade Units - Provides the units that were used for measurement of your blade, either Inches or MM.

  • Section Points Graphical Display - Double-click a point to select it for editing. The selected point will change color, and will also change color in the Section Points Text Editor. To select two points at a time, hold down the CTRL key while double-clicking on the points.

  • Nose and Tail - Opens the Nose or Tail Definition dialog box. See the "End Point Definitions" topic.

  • Section Point Text Editor - Allows you to edit the XYZIJK nominal values for each section point in the list.

  • Select - Clicking Select will highlight the line where the cursor is currently positioned. It will also highlight the same point in the Section Points Graphical Display. You can select two points at a time.

  • Interpret - Opens the Column Definition dialog box where you can define how the nominal file is interpreted. See "Interpreting Nominal Files".

  • Clear - Clears all the text in the Section Point Text Editor.

  • Paste - Will paste text from clipboard into the text box.

  • Set Tols - This allows you to set a single positive and negative contour tolerance for all points, which can then be edited for variable tolerancing schemes.

  • Make Square - This allows you to use the measurement values to define a square blade.

More:

S ection Definition

End Point Definitions

Interpreting Nominal Files


Section Definition

Section Definition dialog box

Define the following section parameters:

  • Section Name - Provides the name of the section.

  • Section Height - This determines the location from the bottom of the blade at which the section was measured.

  • Skewed Plane - Select this option if the plane of the section cut is not parallel to the Z-plane axis.

Optional Settings

  • LE Change - Use this value if you want to specify the change of the leading edge.

  • TE Change - Use this value if you want to specify the change of the trailing edge.

  • Convex Side - Specify the direction that the convex side of the blade faces. Automatic will determine this based on the measurements values. Force X+, Force X-, Force Y+, & Force Y- will force the convex side to be considered as facing the corresponding direction.


End Point Definitions

Nose Definition dialog box

End Point Definitions allow you to indicate the ends of the concave and convex sides and the beginning of the leading edge and trailing edge.

Define the following end point definition parameters:

  • 1st Point - Specifies the first point (beginning) of the leading edge (nose) or the trailing edge (tail) of the blade.

  • 2nd Point - Specifies the second point (ending) of the leading edge (nose) or the trailing edge (tail) of the blade.

  • Force as Nose/Tail Point - This forces the MCL to terminate at a certain point. This is used in certain conditions where the nominal blade data is not well defined at the end (this often happens in reverse engineering situations).

  • Type of End - Select the type of end that describes your blade end:

    • Normal End (default) - Rounded edges

    • Square End - Edge with square corners.

    • Partial End -


Interpreting Nominal Files

Blade interprets the nominal file based upon the settings provided in the Column Definition dialog box. Blade reads the data in the nominal file to build the nominal section in the graphical display according to user specified parameters.

Column Definition dialog box

Specify the Delimiter that is used to separate values in the nominal file.

Follow the directions in the dialog and specify the Column Definition that is used to interpret the XYZIJK values found in the nominal file.


Example Nominal File

The Nominal file has syntax based upon "Nominal File Keywords".

!******Start of nominal file**********
UNITS INCH
NUM_SECT 3
SECTION BB 108 4.868000
NOSE 1
OFFSETS 0.150000 0.150000
-1.842800 -0.865800 4.868000 -0.801700 -0.591100 0.089100
-1.826600 -0.878700 4.868000 -0.377000 -0.919000 0.115000
..........
..........
..........
-1.855100 -0.825800 4.868000 -0.998000 -0.054500 0.033500
-1.851800 -0.846700 4.868000 -0.960800 -0.271300 0.057000
SECTION GG 106 12.184000
NOSE 1
OFFSETS 0.100000 0.100000
-1.632900 0.004600 12.184000 -0.884600 -0.458500 0.084900
-1.619600 -0.008000 12.184000 -0.410200 -0.903400 0.124900
-1.601100 -0.011800 12.184000 -0.026100 -0.992000 0.123900
..........
..........
..........
!******End of nominal file**********

See Also: "Editing a Nominal File" and "Nominal File Keywords"


Nominal File Keywords

Nominal Keywords

Keyword | Parameters | Description | Data Type
UNITS | INCH MM | Units of the blade | String
NUM_SECT | Number of sections | Number of sections | Integer
SECTION | Section Points Height [I] [SKEWED] | Section Name, number of points, section height, default section indicator and SKEWED keyword | String, Integer, Real, String, String
[NOSE] | 1st point, [2nd point][FORCE][SQUARE][PARTIAL] | Nose point(s) of airfoil, and end type | Integer,Integer,String X 3
[TAIL] | 1st point, [2nd point][FORCE][SQUARE][PARTIAL] | Tail point(s) of airfoil, and end type | Integer,Integer,String X 3
OFFSETS | LE_OFFSET TE_OFFSET | Edge in offsets for curve definition | Real, Real

Notes on Nominal Keywords

SECTION

  • There should be one definition block for each section defined. The first line of a section block should start with the keyword SECTION followed by the name of the section, the number of points used to define the section and the section height. The name of the section can not have any spaces or underscores ("_"), and in general should be some combination of alphanumeric characters with no punctuation.

NOSE/TAIL

  • When there are two integers present, this indicates the ends of the concave and convex sides and the beginning of the leading edge and trailing edge. The words SQUARE or PARTIAL should follow the integers to identify which condition is present. See "Measuring a Square Edge Blade" topic for more information. Example: "NOSE 1 112 SQUARE".

  • If not specified the nose point is assumed to be the MCL exit point on the end with the largest radius, and the trailing edge the opposite.

  • The FORCE keyword is used to force the MCL to terminate at a certain point. This is used in certain conditions where the nominal blade data is not well defined at the end (this often happens in reverse engineering situations).

OFFSETS

  • If the offsets are not supplied they are assumed to be twice the end radii.

  • The LE_OFFSET is the distance from the nose point to the transition point on the mean camber line where the LE will be considered to terminate (transition into CV and CC sides).

  • The TE_OFFSET is the distance from the tail point to the transition point on the mean camber line where the TE will be considered to terminate (transition into CV and CC sides).

  • If offsets are supplied in the tolerance file, they override these offsets.

XYZIJK Data

  • Following the section header there should be one line for each point of the section.

  • Six real numbers define each point, the XYZ location and the IJK surface normal. The I and J components of the vector are not used unless they are called for in the compensation preferences (they are recalculated based on the spline), but the K component of the vector plays an important role in probe compensation for blades with significant axial pitch.

  • The numbers can be comma, space or tab delimited.

See Also: " Editing a Nominal File" and "Nominal File Example".


Measuring a Square Edge Blade

Some blades have square ends. The leading edge, trailing edge, or both can be square.

It makes no difference to Blade whether the actual blade is square or round. It is the nominal definition that is critical. If a blade is supposed to be square, then it's nominal file should look like the example shown below.

Square edges are used for one reason only.

The edge is square with two sharp corners. Splines will not fit these discontinuities, therefore the software must be alerted to this phenomenon.

To Define a Blade Edge as SQUARE:

  1. Edit the nominal file. See "Editing a Nominal File".

  2. Specify the edge type as square and choose two points as the "square" points. In the case where there are sharp corners, the two corner points should be chosen. In the case where the corners are rounded, this is NOT a square blade, therefore use the "NORMAL" definition.

Example Square Edge Blade
squareend
See also the "Nominal Keywords" topic for the usage of the SQUARE keyword for square ended blades.

Making Better Square Corners in Blade Editor

  1. Define nominal points that represent the blade and where the square end(s) is defined by three points: two points at the corners and one point halfway between the corner points. The normal vectors of the corner points should be the vector for that point as it is being considered a part of the CVX or CCV side. In the examples below we start out with the following nominal file:

Square Corner Nominal File Example

Notes:

The nose and tail definitions are highlighted in red.

The normal vectors of the corner points match (more or less), the corner points of their neighbors on the CVX or CCV side. Only the midpoints of the square end use the end normal vector.

This blade is so straight that Blade needed help determining the CVX side, so the force –X option is used.

You can copy and paste this data into Blade Nominal file editor to experiment. Use the top 6 lines to define the blade section, and copy and paste the 38 data points into the Section Points text box.

At this point, if you define the Nose and Tail points in the editor and generate a MTH file, you will see that the spline of the points will not yield the desired shape. This is because splines by definition try to find a smooth curve that contains all the points defined. At this point, our nominal section curve looks like the following. Clearly we need to do better.

Initial Square Blade Nominal Section Curve

  2. Click on Edit | Nominal File... to open the Nominal File Editor dialog screen to begin the process of squaring up the ends in the Nominal File Editor.

  3. The Open dialog screen is displayed. Select the Blade nominal file (.nom) to open in the file editor.

  4. In the Nominal File Editor, zoom in to the nose point area as shown below.

Nominal File Editor Dialog Screen for Square End Blades

  5. Double-click one of the corner points to highlight (17 in the above example) it then click on the Select button to define it as one of the corner points.

Note: If this point is one of the points that defines the nose, it will not stay red, so you have to believe that it was selected.

  6. Double-click the second corner point to highlight it (19 in the above example).

Note: Again this may not change color if it was used to define the nose. Also, two number must be separated by a single point. In the above example, points 17 and 19 are separated by the single point 18.

  7. When both corner points have been selected, click on the Make Square button. If you did not select the corner points correctly, you will get an error message “Must select two points for corners that are separated by exactly one point”. Otherwise, a prompt will be displayed asking if it is okay to square off the points. The point numbers that you selected will be shown in the prompt.

  8. Click the Yes button and Blade will add 16 points to help better define the corner, four on each side of each corner. The placement of the points will be on the line that joins the corner point to its neighbor in each direction. The spacing is a function of the distance to that neighbor.

Square Corner prompt

  9. After this is performed the new points are inserted into the Section Points Text box and are added to the graphical display. Repeat this process to square the other end to square off (if both ends are square).

Redefining the Corners

After squaring the end(s) you will need to redefine the corner(s) because the point indices have changed. Use the normal Blade Nominal Editor methods for this, the procedure for each square end is given below.

  1. Double-click the first point in the Section Point Graphical Display window of the Nominal Field Editor screen for the first end of the blade (Nose or Tail).

  2. Press down on the Ctrl key while double-clicking the second point in the Section Point Graphical Display window of the Nominal Field Editor screen for the same end of the blade (Nose or Tail).

  3. If the end is the Nose of the blade, click on the Nose button and review the settings.

  4. Ensure the Force as Nose/Tail Point check box is checked.

  5. Ensure that the Type of End is set to Square.

  6. Click the OK button.

  7. Repeat steps 1 - 6 for the Tail end of the blade if both ends are square.

  8. Once both corners have been redefined, click on the Nominal File Editor dialog screen's OK button and generate the Math File. The results should define much better square ends as shown below.

Results of Square Corner Blade


Reverse Engineer a Nominal File

Between the Blade and Blade Runner applications there exists capability to reverse engineer Nominal data. Blade Runner allows you to create a Reverse File (*.rev) that can be converted to a Nominal file (*.nom). See the Blade Runner documentation for more information on the creation of a Reverse file.

To improve the accuracy and definition of the blade use the nominal file to inspect the same blade using the standard blade measurement routines. See "Using Blade".

For even greater accuracy and definition use the average airfoil technique to acquire the best nominal definition of the blade. See "Average a Set of Blades".

To Convert a Reverse File to a Nominal file:

  1. Select the Create | Reverse Engineer menu item from the Blade interface. This opens the Convert REV to NOM dialog box.

  2. Browse to and select the needed Reverse file or type the full path and name of the file in the REV File box. The NOM File box will automatically be filled in with the same path and name with a .nom extension. Edit the Nominal file name if needed.

  3. Click Convert to create the Nominal file.


Problems with Nominal Files

Blade calculates nominals from the points (spline) in the nominal file. If the nominals for your blade are incorrect, there are a number of reasons this could happen:

  1. Your file was incorrectly made with an extra thickness, or other deformity. First try to fix the nominal file. If this is not possible then see the "Editing a Tolerance File" topic.

  2. You are measuring a forge/cast part against finished part data. First try to fix the nominal file. If this is not possible then see the "Editing a Tolerance File" topic.

  3. The nominal data is sparse and does not spline well. First try to fix the nominal file. If this is not possible then see the "Editing a Tolerance File" topic.

  4. The methods chosen in the flavor file do not correspond with your blueprint methods. See the "Editing a Flavor File" topic.

See Also: "Editing a Nominal File"


Tolerance File

The Tolerance file (*.tol) provides the tolerance values for analysis. This includes the offset parameters for thickness and contour evaluation as well as the tolerance for the various calculations.

There are two ways a tolerance file can be created:

  1. Create a Tolerance file from the Blade interface by:

    1. Selecting the Create | Tolerance File menu item from the Blade interface. This opens the Step 1. Select Associated Nominal Math File dialog box. See the "Math File" topic for more about creating a Math file.

    2. Select the needed Math (*.mth) file and click open. This opens the Step 2. Enter Tolerance File to Create dialog box. Provide a File Name and click Save. The Tolerance File dialog box appears. See "Editing a Tolerance File".

  2. Manually create a tolerance file using a text editor. See the "Example Tolerance File" topic for more details.

More:

Editing a Tolerance File

Example Tolerance File

Tolerance File Keywords

Variable Tolerancing

Exclusion Zones for Best Fit


Editing a Tolerance File

The Tolerance File dialog box allows you to edit the tolerance values for the calculations preformed on your blade.

To Edit a Tolerance File:

  1. Select the Edit | Tolerance File menu item. The Step 1. Select Associated Nominal Math File dialog box appears. See the "Math File" topic for more about creating a Math file.

  2. Browse to and select the needed Math (*.mth) file and click Open. This opens the Step 2. Enter Tolerance File to Create dialog box.

  3. Browse to and select the existing tolerance file and click Open. This opens the Tolerance File dialog box.

Note: The Tolerance file (*.tol) can be edited manually using a text editor like "Notepad" or "Wordpad".

  4. Edit the values of the Tolerance File dialog box as discussed in the following topics:

    • Selecting Tolerance Calculations

    • Setting Default Tolerances

    • Setting Individual Section Tolerances


Selecting Tolerance Calculations

Tolerance File dialog box - Calculations tab

The Calculations tab allows you to specify the calculations that will be available for all sections (Default tab) or individual sections (Section tabs).

Edit the following tolerance values from the Calculations tab:

  • Full List of Calculations and Parameters - Select the needed values from this list by selecting the values and clicking the left arrow button [image]. The selected values will be added to the Selected List of Calculations and Parameters list. See the "Calculations and Methods" topic for more information on the available calculations.

Note: Hold the CTRL key or SHIFT key to select multiple values.

  • Selected List of Calculations and Parameters - To remove values from this list, select the values and click the right arrow button [image]. The values will be removed.

  • Root Sect - Select the section that defines the Root section.

  • Tip Sect - Select the section that defines the Tip section.

  • Ref Sect - Select the section that defines the Reference section.

  • Root Ang Sect - Select the section that defines the Root Angle section.

  • Units - Choose either Inches or MM to provide the units for which tolerances will be calculated.

  • Root Angle -

  • Bow Plane Angle -

  • Bow Plane X -

  • Bow Plane Y -

  • Sections are ADJ when - Select the appropriate option from the drop-down list.


Setting Default Tolerances

Tolerance File dialog box - Default tab

The Default tab allows you to set the default tolerance values that will be applied to all sections unless specific tolerance values have been provided to individual sections.

For each value in the list, set the following default tolerance values as applicable:

  • Lower Limit - Sets the Lower Limits value for the selected Tolerance or Specification Limits radio button.

  • Upper Limit - Sets the Upper Limits value for the selected Tolerance or Specification Limits radio button.

  • Nom (Optional) - Sets the optional Nominal value for the selected Tolerance or Specification Limits radio button.

  • Tolerance Limits - Applies the values entered for the Upper and Lower Limit values to the Tolerances.

  • Specification Limits - Applies the values entered for the Upper and Lower Limit values to the Specifications.

  • Disable - Press this button to disable the default settings.

  • Value 1 - Applies the Value 1 option to the selection.

  • Value 2 - Applies the Value 2 option to the selection - usually related to an offset value.


Setting Individual Section Tolerances

Tolerance File dialog box - Individual Section tab

The individual section tabs allow you to set the individual tolerance values that are specific to the section. All tolerances will use the default values unless you specify values in the individual section tabs.

See the "Setting Default Tolerances" topic for information on tolerance values that are not listed here:

  • Default Inspection - Sets the system default inspection settings.

  • Method Override - Displays the method that will be used for the selected tolerance calculation.

  • Define - Click Define to open the Define Method dialog box.

Define Method dialog box

Select the needed method for the selected tolerance type from the drop-down box. Select the Override Flavor File Method option if you want the method to override the method that is specified in the flavor file.

  • Use Default - Select this option to use the default values for this tolerance of this section.

  • Disable - Disables the specific individual settings tab options.


Example Tolerance File

The Tolerance file has syntax based upon "Tolerance File Keywords".

!******* Start of Tolerance File ******************
!Set my reference section for relative calculations
REFSECT BB

!Set my offset parameters for thickness and contour evaluation
LE_OFFSET 0.15000
TE_OFFSET 0.15000
LE_CHANGE 0.15000
TE_CHANGE 0.15000

!Following calculations use tolerances
SETTOL

STACKX -0.02000 0.02000
STACKY -0.02000 0.02000
TETHCK -.01000 0.01000 0.060 !Set the nominal to 60 thousandths
LETHCK -.01000 0.01000
MAXTHK -0.01300 0.02600
CHORD -.03000 0.03000
TWIST -0.75000 0.75000
RELTWIST -0.50000 0.50000
CVCONT 0.00000 0.0100
CCCONT 0.00000 0.0100
LECONT 0.00000 0.0100
TECONT 0.00000 0.0100

!Set the number of sections
NUM_SECT 3

!Call out my three sections
SECTION BB I
SECTION GG I
SECTION MM I
!******* End of Tolerance File ******************

See Also: "Editing a Tolerance File" and "Tolerance File Keywords"


Tolerance File Keywords

Keyword | Parameters | Description | Data Type
NUM_SECT | Number of sections | Number of sections defined (Must be equal to Nominal file) | Positive integer
[LE_OFFSET[2-10]] | Edge in offset | Offset for leading edge thickness measurement | Positive Real
[TE_OFFSET[2-10]] | Edge in offset | Offset for trailing edge thickness measurement | Positive Real
[LE_CHANGE] | Edge in edge to side transition | Transition point for leading edge form calculations | Positive Real
[TE_CHANGE] | Edge in edge to side transition | Transition point for trailing edge form calculations | Positive Real
[ROOTSECT] | Section Name | Name of root section for bow calculations | String
[TIPSECT] | Section Name | Name of tip section for bow calculations | String
[REFSECT] | Section Name | Name of section for relative calculations | String
[ROOTANGSECT] | Section Name | Name of root angle section | String
[ROOTANG] | Root angle value | Root angle value | Positive Real
[LE_ANGOFFSET] | Edge in values to intersect the MCL | Offsets for leading edge angle measurement | 2 Positive Reals
[TE_ANGOFFSET] | Edge in values to intersect the MCL | Offsets for trailing edge angle measurement | 2 Positive Reals
[SETSPEC] | None | Interpret following tolerances as lower and upper spec limits | Boolean Modal
[SETTOL] | None | Interpret following tolerances as upper and lower tolerances | Boolean Modal
[EXCLUDE(1-5)] | Sides to exclude | Exclude LE/TE/CC/CV from section bestfit. | Bit logic
[CALCULATION TYPES] UPPER LOWER[NOMINAL] | See Calculations | Calculation type, it's upper, lower tolerance and nominal value | String, Real, Real, Real
SECTION SECNAME [I] | Section name and default section indicator | Indicates section definition block, section name, and default indicator | String, String
[CALCULATION TYPES] UPPER LOWER[NOMINAL] | See Calculations | Indicates section definition block, section name, and default indicator | String, String

Notes on Nominal Keywords

  • The tolerance file contains a default section followed by one or more individual tolerancing sections. Any parameters or tolerances called out before the SECTION keyword become default tolerances. Default parameters and tolerances are copied to each section prior to reading the section parameters and tolerances.

  • Calculations are toleranced by using the appropriate calculation keyword, followed by the lower and upper tolerance (or specification limit) and optionally the nominal value. These values will be interpreted as tolerances or specification limits depending on the current tolerance type setting (see SETSPEC and SETTOL above).

Following the SETSPEC or SETTOL commands:

  • The SECTION keyword with the option "I" parameter that specifies whether the section is a default.

  • Any calculation followed by it's lower tolerance or specification limit, and then it's upper tolerance or specification limit. Finally a nominal override can be added as a third parameter in case the splines given to Blade produce imprecise nominals.

See Also: " Editing a Tolerance File" and "Example Tolerance File"


Variable Tolerancing

REFERENCE Method.

  • LE_VARTOL (NRT): Followed by two numbers, the lower and upper tolerance for the entire LE.

  • TE_VARTOL (CB&CC): Followed by two numbers, the lower and upper tolerance at the TE thickness location.

  • MID_VARTOL(CA&CC): Followed by two numbers, the lower and upper tolerance at the intersection of the Y axis and the CV and CC sides.

  • CHORD_VARTOL(CD): Followed by two numbers, the lower and upper tolerance at the tail point of the blade.

Diagram of Variable Tolerancing Scheme
variabletol


Exclusion Zones for Best Fit

Exclusion zones are used to allow exclusion of parts of the section for best fitting purposes. This can happen when there are abnormalities in the section, yet section parameters still need to be calculated.

Note: If every section needs to exclude, then it would be best to modify the best-fit in the flavor file, instead of using exclusion zones.

Tolerance File showing Exclusion Zones selected

Rules for Exclusion Zones

EXCLUDE1 would affect bestfit #1
EXCLUDE2 would affect bestfit #2 and so on up to 5th bestfit.
The bestfit algorithm is defined in the flavor file.

Exclusions zones are defined in the tolerance file.
They can be set to affect all sections or be section dependent.
The value for exclusion zones works with bit logic:

  • Convex= 1

  • Concave= 2

  • Leading edge= 4

  • Trailing edge= 8

Add the numbers corresponding the to side that you want to exclude.

Exclusion Zone Examples

To exclude the LE and TE in a particular fit then set the Exclude value in the flavor file to 12 (8+4)
To exclude the CC and CV sides, set the value to 3. (1+2)


Flavor File

The Flavor file (*.flv) provides the calculations, methods, special processing requests and reporting styles for a blade analysis. A Flavor file is intended to apply to a collection of parts that have similar analysis and reporting requirements.

Note: Most options in the flavor file can be overridden in the report file.

There are two ways a flavor file can be created:

  1. Select the Create | Flavor File menu item from the Blade interface. This opens the Save As dialog box. Provide a File Name and click Save. The Flavor File dialog box appears. See "Editing a Flavor File".

  2. Manually create a flavor file using a text editor. See the "Example Flavor File" topic for more details.

The flavor file contains 4 types of entries:

  1. C alculations

  2. Calculation Methods

  3. Special Processing Requests - See "Setting Reporting Options", "Setting Customization Options" and "Changing Miscellaneous Options".

  4. Best Fit Parameters

More:

Editing a Flavor File

Example Flavor File

Calculations and Methods

Calculation Methods

Best Fit Parameters


Editing a Flavor File

The Flavor File dialog box allows you to edit the calculations, methods, and special processing requests for a blade analysis.

To Edit a Flavor File:

  1. Select the Edit | Flavor File menu item. The Open dialog box appears.

  2. Browse to and select the existing header file and click Open. This opens the Flavor File dialog box.

Note: The Flavor file (*.flv) can be edited manually using a text editor like "Notepad" or "Wordpad".

  3. Edit the values of the Flavor File dialog box as discussed in the following topics:

    • Modifying Flavor File Calculations

    • Setting Reporting Options

    • Setting Customization Options

    • Changing Miscellaneous Options

    • Defining Best Fit Options

    • Setting DataPage Options

    • Setting Compensation Options


Modifying Flavor File Calculations

Flavor File dialog box - Calculations tab

The Calculations tab allows you to add and remove the various calculations and define the methods that Blade will use for analysis. Calculation modifiers (described below) also affect the calculations.

Edit the following values from the Calculations tab:

  • Available - Select the needed values from this list by selecting the values and clicking the left arrow button [image]. The selected values will be added to the To Perform list. See the "Calculations and Methods" topic for more information on the available calculations.

Note: Hold the CTRL key or SHIFT key to select multiple values.

  • To Perform - Calculations in this list will be performed during Blade analysis. Select each calculation and alter the values from the options below to affect the way that the calculation is performed. To remove values from this list, select the values and click the right arrow button [image]. The values will be removed.

  • Method(s) - Click Define and select the needed method(s) from the drop-down box(es) of the Define Method dialog box. The defined method(s) affect the selected calculation. If there is no available method for the selected calculation, you will be prompted with "No Methods for This Calc" when you click Define. See the "Calculation Methods" topic.

Example: CHORD METHOD CALIPER

Calculation Modifiers

  • Report Headers - Provides text for LABEL1 and LABEL2 for the selected calculation. LABEL1 will be truncated to 19 characters while LABEL2 will be truncated to 9 characters.

Example: LEANGLE LABEL1 NOSE ANGLE

Note: LABEL1 should only be longer than 9 characters for the first calculation of an associated pair (e.g., BOWX and BOWY).

  • Multiplier - This modifier is used to define a multiplication factor for the selected calculation. Typical uses for this modifier would be to reverse the sign of a calculation (i.e. –1) or possibly to convert between English and metric units (i.e, 25.4 or 0.03937). This type is specified by the calculation keyword followed by the word MULTIPLIER followed by the numeric value.

Example: LERAD MULTIPLIER 2.0000

  • Offset -

Example: BOWY OFFSET 1.5630

  • Fit To Use - The selected calculation will be calculated using the Bestfit number specified in the drop-down box. See the "Best Fit Parameters" topic.

Example: CVCONT USEBESTFIT 3

  • Offsets Measured From Stack -

See the "Calculations and Methods" topic for more information.


Setting Reporting Options

Flavor File dialog box - Reporting tab

The Reporting tab allows you to change Report and Plot Options as well as the format to which data will be saved.

Edit the following values from the Reporting tab:

Report Options

  • Values - Change the type of values displayed in the report matrix (Deviations, Actuals, Nominals, Out of Tol (Dev) & Out of Tol (Out)). Out of Tolerance Deviations are shown as blank if they are in tolerance.

  • Angles - Change angle measurement reporting (Degrees, Deg:Min:Sec).

  • Columns - Sets whether the Sections or Calculations are displayed as column headers. If you select the Best option then Blade will determine if Calculations or Sections will be used for column headers.

  • AutoPrint - The report will automatically be printed when online when this option is set to ON. If you use the Out of Tol option, the report will only be printed if measured values are considered to be Out of Tolerance.

  • Show Tols in Matrix - Tolerance values will be shown in the matrix header when this option is selected.

Plot Options

  • Always Plot Ends - This option determines whether or not the blade ends will be included in the plot.

  • Out of Tol Whiskers - Controls whether whiskers with out of tolerance values are added to form plots.

  • Exploded - Display plots in exploded view when ONLINE. This plot type separates the leading and trailing edges from the sides for display purposes as shown below.

Example Explode Plot

  • AutoPrint - The plot will automatically be printed when online when this option is set to ON. If you use the Out of Tol option, the plot will only be printed if measured values are considered to be Out of Tolerance.

  • Side Magnification - Changes the magnification for the area of an exploded plot that displays the convex or concave side of the blade.

  • End Magnification - Changes the magnification for the area of an exploded plot that displays the trailing or leading edge side of the blade.

Save Data As

These requests are set in the flavor file. The following options cause files to be generated whenever a blade is processed ONLINE, or the Action | Save Calculations menu item is selected when OFFLINE.

  • CMM Format - Generates a CMM file as part of analysis. (PC-DMIS style report). This file is sorted by blade section with each calculation for that section. The entry in the Flavor file is "SAVECMM ON/OFF". See the "CMM Report (CMM)" topic.

    • Nominal Point Exceptions -

  • XYZ Format - Generates an XYZ file as part of analysis. The entry in the Flavor file is "SAVEXYZ ON/OFF". See the "PC-DMIS Import XYZ File (XYZ)" topic.

    • Output BestFit Options -

  • IGES Format - Generates an IGES points file as part of analysis. The entry in the Flavor file is "SAVEIGES ON/OFF". See the "IGES File (IGS)" topic.

  • AS (P&W) Format - Generates an AS (Airfoil Surface) file as part of analysis. The entry in the Flavor file is "SAVEAS ON/OFF". See the "Airfoil Surface File (AS)" topic.

  • CSV Format - Generates an CSV (comma delimited text) file as part of analysis. This file will contain all of the blade characteristics in comma delimited form. Typically used for third party statistics, and custom calculation programs. Zoneform will also print its results to the bottom of this file. The entry in the Flavor file is "SAVECSV ON/OFF". See the "CSV File (CSV)" topic.

  • BCD Format - Generates an BCD (ball center data) file as part of analysis. This file contains the measured ball center points for each section on the airfoil. The entry in the Flavor file is "SAVEBCD ON/OFF". See the "Ball Center Data File (BCD)" topic.

  • Mean Camber Lines - Generates an MCL file representing the mean camber line of the airfoil as part of analysis. All sections are included in this file. The entry in the Flavor file is "SAVEMCL ON/OFF". See the "Mean Camber Line File (MCL)" topic.

  • By Calc (CMM Report) - When this option is selected, the CMM Format file is sorted by calculation with each section using the given calculation listed in that section. If the exported Generates a CMM file as part of analysis. (PC-DMIS style report). This file is The entry in the Flavor file is "SAVECMM ON/OFF". See the "CMM Report (CMM)" topic.


Setting Customization Options

Flavor File dialog box - Customization tab

The Customization tab allows you to change options for saving report data as well as other options to customize your report and header information.

Edit the following values from the Customization tab:

Average Blade

  • Point Saving Method - Specify the creation method for your Average file using either "Nominal Points" or a "Distribution File". No Average file will be created when this option is set to "OFF". The entry in the Average file is "SAVEAVG ON/OFF".

  • Distribution File - Browse to and select the Point Distribution File (*.dst) that will be used to create an Average file if you have selected the "Distribution File"method.

  • Find Using Bestfit - Determines whether a best fit is applied to the measured curve prior to intersecting the points with rays.

  • Output Bestfit Coordinates -

See the "Average File (AVG)" topic for an example.

Customizations

  • Lot Plot - When this option is selected, Blade will perform Lot Plot activities if Lot Plot trace fields are defined.

  • Drill Location -

  • Zone Form - Zoneform takes the airfoil concave and convex sides and divides them into various zones (or treats them as single points), and reports the form only contour deviations for each zone or point in a table on the matrix report.

Note: The Zoneform table is form only contour, regardless of the type of contour that is being reported in the matrix except when "NOMINAL" option is used.

Zoneform depends on the LE_CHANGE and TE_CHANGE variables for dividing the blade into LE/TE/CC/CV. See topic "Tolerance Keywords" for information on the CHANGE parameters.

Values as expressed in the Flavor File:

(null) - No Zoneform computed, the default.
ZONEFORM OFF - No Zoneform computed.
ZONEFORM - Current Zoneform computed.
ZONEFORM ON - Current Zoneform computed.
ZONEFORM NOMINAL - Evaluate points that define nominal splines from the nominal file.
ZONEFORM DENSITY #CV #CC #LE #TE - Divide up the four sub curves.
ZONEFORM FILE filename - File specifies X, Y, Z and optionally +/- tolerances.

Header Definition

  • Header File - Browse to and select the Header file that will be included with your report. See the "Header File" topic.

  • Note - This filed is used to


Changing Miscellaneous Options

Flavor File dialog box - Miscellaneous tab

The Miscellaneous tab allows you to change the Calculation overviews, LE Change Location Definition, TE Change Location Definition and Stock Calculation Plotting for your report.

Select from the following options from the Miscellaneous tab:

Summary calculation overviews section

  • Minimum - Minimum value will be displayed.

  • Maximum - Maximum value will be displayed.

  • Average - Average value will be displayed.

  • Sum - The Sum value will be displayed.

  • Range - The range of values will be displayed.

LE Change Location Definition section

  • Pickup point on MCL by

    • Swing Tip Arc

    • Swing Stack Arc

    • Offset Stack X

    • Offset Stack Y

    • Offset End X

    • Offset End Y

  • Pickup point on Pickup points on Sides using Vector Parallel to

    • Normal Vector

    • X Axis

    • Y Axis

    • Square End

TE Change Location Definition section

  • Pickup point on MCL by

    • Swing Tip Arc

    • Swing Stack Arc

    • Offset Stack X

    • Offset Stack Y

    • Offset End X

    • Offset End Y

  • Pickup point on Pickup points on Sides using Vector Parallel to

    • Normal Vector

    • X Axis

    • Y Axis

    • Square End

Stock Calculation Plotting section

  • None

  • Out of Tol

  • Tol Transitions

  • All

  • Min/Max Values check box

  • Deviation

  • Out of Tol


Defining Best Fit Options

Flavor File dialog box - Bestfit 1 tab

The Bestfit tabs allows you to change options for up to five best fit algorithms. This allows the reporting of various calculations with respect to the different fits. Best fit algorithms are applied to the Calculations to which they are assigned based on the settings in the Calculations tab.

See the "Best Fit Parameters" topic for more information on the parameters of each of the best fit Algorithms.


Setting DataPage Options

Flavor File dialog box - DataPage tab

The DataPage tab allows you to save the report data in a file format compatible with the legacy DataPage or current DataPage Plus reporting applications.

Edit the following values from the DataPage tab:

DataPage section

  • Save Data to DataPage - Exports report data to the specified DataPage Database. The entry in the Flavor file is "SAVEDP [PathToDatabase]".

  • DataPage Database - Browse to and select the DataPage database to which statistical data will be saved. The data base path is optional; If it is not supplied then the database called out in the Blade preferences is used.

DataPage Plus section

  • Save Data to DataPage Plus - Exports report data to the specified DataPage Plus Database. The entry in the Flavor file is "SAVEDP [PathToDatabase]".

  • DataPage Plus Database - Browse to and select the DataPage Plus database to which statistical data will be saved. The data base path is optional; If it is not supplied then the database called out in the Blade preferences is used.


Setting Compensation Options

Flavor File dialog box - Compensation tab

The Compensation tab allows you to specify how normal vectors are calculated. Vectors can be determined by compensating for the probe ball radius or by using the normal vectors established by your measuring system.

Use calculated ball center spline to determine normal vectors - Removes the probe ball radius for the points specified by the Filter Spacing value to calculate the normal vectors for all points along the spline. This option can reduce the effect that poor surface condition can have on the compensated data.

Use normal vectors supplied by the measurement system - The normal vectors that were calculated by your measuring system will be used when this option is selected.

Resort Ends after Probe Compensation - Used to instruct Blade to take the points that define the end and sort them after the compensation. This attempts to get rid of any crossings that occur as a result of the compensation.

Remove Points From Square End Transitions - For square end blades, a condition exists that doesn’t occur for normal rounded blade ends. First it should be said that part of the point compensation involves trying to find which point on the nominal curve is representative of a point that is being compensated. When the point is found, Blade borrows the K component of its normal vector and uses that as part of the compensation (See image below). For square ends, an abrupt change occurs when transitioning from the side to the end of the blade. But when the blade is scanned, the probe rotates around the sharp corner resulting in a round area in the ball center points as it scans around the corner. Blade tries to figure out what the K component of these points are, but they really aren’t defined because of the abrupt nominal change. Remove Points From Square End Transitions is used to instruct Blade to throw those points away and not attempt calculations with them.

Example showing Questionable Points on a Square End blade


Example Flavor File

Flavor file entries can occur in any order with the exception that the block of calculations must be together.

!Best fit parameters
BESTFIT LSQ

!Special processing requests
SHOWTOLS ON
SAVEDP C:\DATAPAGE\BLADES
SAVECSV ON

!Calculations
CALCS 12
MAXTHK
CHORD
TWIST
RELTWIST
STACKX
STACKY
LETHCK
TETHCK
LECONT
TECONT
CVCONT
CCCONT

!Calculation modifiers.
CHORD METHOD CALIPER
STACKX MULTIPLIER -1.0000
STACKX LABEL1 SHIFT

See Also: "Editing a Flavor File" and "Calculations and Methods"


Calculations and Methods

The Flavor file provides keywords that tell Blade to perform certain calculations along with the associated methods. These calculation keywords follow the CALCS (N) entry. N represents the number of following lines that must contain a valid calculation name.

Methods and other calculation modifiers found on the Calculations tab of NOT defined in the CALCS block. They are found in the following block which represents calculation modifiers.

Calculation and Methods Table

In the Calculation and Reports Methods column R EPORT methods are shown in BOLD and regard the convention or reporting style of the calculation while REFERENCE methods are NOT shown in bold and regard the actual calculation method. The first method shown for each calculation is the default method.

See the topic listed under the Description column in the "Measuring Blade Parameters" section.

Calculation | Methods | Description
Thicknesses
LETHCK[2-10] | TIPARC ; STACKX; STACKY; POINTS NORMAL; XWIDTH; YWIDTH;SQUARE | Edge Thickness
TETHCK[2-10] | TIPARC ; STACKX; STACKY NORMAL; XWIDTH; YWIDTH;SQUARE | Edge Thickness
MAXTHK | -- | Maximum Thickness
CHORD | TANGENT ; NOSETAIL; CALIPER; RADCENTER XAXIS; YAXIS | Chord Length
Angles
CHDANG | NOSETAIL; CALIPER; LE_DIST;LE_TE;STACK | Chord Angle
RELCHDANG | NOSETAIL; CALIPER REFDATUM; REFZERO | Relative Calculations Chord Angle
TWIST | -- | Twist
RELTWIST | REFDATUM; REFZERO | Relative Calculations Twist
LEANGLE | XPLUS; XMINUS; YPLUS; YMINUS; ROTATION | Edge Angle
TEANGLE | XPLUS; XMINUS; YPLUS; YMINUS; ROTATION | Edge Angle
All Contour
NUMOUTTOL | -- | Contour Points
PERCOUTTOL | -- | Contour Points
Form Only Contour
LECONT | -- | Form only contour
TECONT | -- | Form only contour
CCCONT | -- | Form only contour
CVCONT | -- | Form only contour
Form and Location Contour
LEMAX | -- | Form and location contour
LEMIN | -- | Form and location contour
TEMAX | -- | Form and location contour
TEMIN | -- | Form and location contour
CVMAX | -- | Form and location contour
CVMIN | -- | Form and location contour
CCMAX | -- | Form and location contour
CCMIN | -- | Form and location contour
Concave and Convex Form and Location Combined
MAXFORM | CONSTANT; VARIABLE; NOMFILE | Form and location contour
MINFORM | CONSTANT; VARIABLE; NOMFILE | Form and location contour
Edge Radii
LERAD | MCL; 180; 120; 90; INZONE | Edge radius
TERAD | MCL; 180; 120; 90; INZONE | Edge radius
Displacement
LEPOS | CHORD; XAXIS; YAXIS | Edge position
LEPOS2 | CHORD; XAXIS; YAXIS | Edge position
TEPOS | CHORD; XAXIS; YAXIS | Edge position
TEPOS2 | CHORD; XAXIS; YAXIS | Edge position
STACKX | -- | Displacement
STACKY | -- | Displacement
STACKT | -- | Displacement
RELSTACKX | REFZERO ; REFDATUM | Relative Calculations
RELSTACKY | REFZERO ; REFDATUM | Relative Calculations
BOWX | ZERO; DLB (Report Ends) STACK; CONVEX; CONCAVE (Bow Point) | Bow
BOWY | ZERO; DLB (Report Ends) STACK; CONVEX; CONCAVE (Bow Point) | Bow
BOWT | ZERO; DLB (Report Ends) STACK; CONVEX; CONCAVE (Bow Point) | Bow
EXTREME | XPLUS; XMINUS; YPLUS; YMINUS | Extreme

See Also: "Editing a Flavor File" and "Example Flavor File"


Calculation Methods

Methods affect the way that the calculation is performed. In the Flavor File, the method is located at the end of the file in the Calculation Modifiers block (see "Example Flavor File"). Methods are specified by the calculation keyword followed by the word METHOD, followed by a calculation specific method string.

Example: LERAD METHOD 120

See the "Calculations and Methods" topic for information on the available methods for each calculation.

The following methods are available in Blade:

90

120

180

CALIPER

CHORD

CONCAVE

CONSTANT

CONVEX

DLB

INZONE

LE_DIST

LE_TE

MCL

NOMFILE

NORMAL

NOSETAIL

POINTS

RADCENTER

REFDATUM

REFZERO

ROTATION

SQUARE

STACK

STACKX

STACKY

TANGENT

TIPARC

VARIABLE

XAXIS

XMINUS

XPLUS

XWIDTH

YAXIS

YMINUS

YPLUS

YWIDTH

ZERO

See Also: "Editing a Flavor File" and "Example Flavor File"


180-120-90

REFERENCE Methods

The measured edge radius is defined by fitting a circle to all measured points that fall in a 180 degree wedge that starts at the termination point of the measured mean camber line. The center vector of the wedge is the termination vector of the nominal mean camber line. The nominal edge radius is defined by fitting a circle to the 3 points on the nominal edge. One point is the intersection of the termination of the mean camber line, the other two are the intersection points of the edges of the wedge described above.

120 and 90 are the same as 180, except that the wedge sweeps through less angle.

These methods are available for the following Calculations:

LERAD & TERAD


CALIPER

REFERENCE Method

Simulates a caliper measurement. Two extreme points on the concave side are found that would sit on a flat line. The chord length is reported as the projected distance of the two points on the leading and trailing edges that are extreme with respect to the line defined by the two concave side points.

CALIPER is also a method for CHDANG, in this case the angle of the line determined by the two concave side points (chord line in some definitions).

This method is available for the following Calculations:

CHORD, CHDANG & RELCHDANG

CALIPER method chord width is shown in this image

See Also: Comparison between the chord angle methods


CHORD

REFERENCE Method

The distance reported is parallel to the chord line.

This method is available for the following Calculations:

LEPOS, LEPOS2, TEPOS & TEPOS2


CONCAVE

REPORT Method

The CONCAVE side of the airfoil is used in the calculation (typically an arc intersection with the spline).

CONVEX and CONCAVE tell which side to use for the LE_DIST, LE_TE and STACK methods.

This method is available for the following Calculations:

BOWX, BOWY & BOWT


CONSTANT

REFERENCE Method

This method uses constant tolerancing.

This method is available for the following Calculations:

MAXFORM & MINFORM


CONVEX

REPORT Method

The CONVEX side of the airfoil is used in the calculation (typically an arc intersection with the spline).

CONVEX and CONCAVE tell which side to use for the LE_DIST, LE_TE and STACK methods.

This method is available for the following Calculations:

BOWX, BOWY & BOWT


DLB

REFERENCE Method

Displacement and lean calculations applied to root and tip sections, and bow calculations to all sections in between.

This method is available for the following Calculations:

BOWX, BOWY & BOWT


INZONE

REPORT Method

This is used to decide which measured points are used to calculate a circle defining the LERAD and TERAD calculations. A circle is created with the center at the chord point (nose or tail point). The radius of that circle is the NOMINAL radius (of the LE or TE) multiplied by LEZONE or TEZONE (described below). The points that lie in this circle are used.

You can specify a multiplier to use for the selection of points in the tolerance file. There are separate multipliers for the LE and TE. The new parameters are called LEZONE and TEZONE. The default values are 1.0. If you use the default value, you won't see it in the tolerance file. So if you type in 1.0 and don't see it later, don't be alarmed.

You can set them for the entire blade, or do it section by section. Just like other parameters (and tolerances).

Example line in tolerance file:

LEZONE 2.000000

This method is available for the following Calculations:

LERAD & TERAD


LE_DIST

REPORT Method

Two points are determined by swinging two arcs and intersecting them with one of the surfaces (CONCAVE/CONVEX methods). The arcs are both relative to the leading edge.

This method is available for the following Calculations:

CHDANG & RELCHDANG

See Also: " Chord Angle"


LE_TE

REPORT Method

Two points are determined by swinging two arcs and intersecting them with one of the surfaces. The first arc is relative to the LE, the second to the TE.

This method is available for the following Calculations:

CHDANG & RELCHDANG

See Also: " Chord Angle"


MCL

REFERENCE Method

The edge radius is defined as the distance from the termination point of the mean camber line to the edge. This is the default method.

This method is available for the following Calculations:

LERAD & TERAD


NOMFILE

Tolerancing Method

The contour tolerance is evaluated point by point by comparing the nominal points to tolerances input in the nominal file. See "Editing a Nominal File" for more details.

This method is available for the following Calculations:

MAXFORM & MINFORM

See Also: "Variable Tolerancing"


NORMAL

REPORT Method

The edge thickness is reported as the width perpendicular to the MCL. This is the default.

This method is available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


NOSETAIL

REFERENCE Method

Report the chord length as the distance between the nose and tail points. NOSETAIL is also the default method for CHDANG, in this case the angle of the line determined by the nose and tail points.

This method is available for the following Calculations:

CHORD, CHDANG & RELCHDANG

See Also: "Chord Angle"


POINTS

REFERENCE Method

Reports the thickness as the distance between two nominal points as specified in the nominal and tolerance file.

LE_POINTS and TE_POINTS variables specify the point numbers to use in the tolerance file. The point number is the number of the point based on the nominal file.

This method is available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


RADCENTER

REFERENCE Method

The sum of edge radii and edge center to edge center distance is used for chord length.

This method is available for the following Calculation:

CHORD


REFDATUM

REPORT Method

The relative twist and/or stack values are reported relative to the datum alignment for the reference section.

This method is available for the following Calculations:

RELSTACKX, RELSTACKY & RELTWIST


REFZERO

REPORT Method

The relative twist and/or stack values are reported as zero for the reference section. This is the default method.

This method is available for the following Calculations:

RELSTACKX, RELSTACKY & RELTWIST


ROTATION

REPORT Method

The edge angle is reported as the angle of the LECONT best fit value.

This method is available for the following Calculations:

LEANGLE & TEANGLE


SQUARE

REFERENCE Method

The thickness is reported relative to the angle defined by the flat part of the square edge. If the edge is not square, the NORMAL method is used by default.

Example Square Edge Blade
squareend

This method is available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


STACK

REFERENCE Method

The stack point is the reference point for the BOWT true position calculation.

This method is available for the following Calculations:

BOWX, BOWY, BOWT, CHDANG & RELCHDANG

See Also: "Chord Angle"


STACKX-STACKY

REFERENCE Methods

The edge thickness is calculated at the intersection of a plane with the X or Y value of LE_OFFSET (or TE_OFFSET), and the mean camber line.

These methods are available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


TANGENT

REFERENCE Method

Use tangential method to determine chord length. This method which is the default, determines the projected distance of the two points on the leading and trailing edge that are extreme with respect to the chord line.

This method is available for the following Calculation:

CHORD

CALIPER method chord width is shown in this image


TIPARC

REFERENCE Method

The edge thickness is calculated at the intersection of a radius with value of LE_OFFSET (or TE_OFFSET), and the mean camber line.

This method is available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


VARIABLE

REFERENCE Method

The MAXFORM or MINFORM use variable tolerancing. This scheme is particular to certain manufacturers and is implemented according to certain OEM specifications.

This method is available for the following Calculations:

MAXFORM & MINFORM


XAXIS-YAXIS

REPORT Methods

The CHORD, LEPOS X or Y or TEPOS X and Y component only is reported.

This method is available for the following Calculations:

CHORD, LEPOS, LEPOS2, TEPOS & TEPOS2


XPLUS-XMINUS-YPLUS-YMINUS

REPORT Methods

The calculation is performed relative to the named axis. The measurement is made up of the component of the named axis only.

This method is available for the following Calculations:

LEANGLE, TEANGLE & EXTREME


XWIDTH-YWIDTH

REPORT Methods

The X or Y component of the edge thickness is reported.

This method is available for the following Calculations:

LETHCK, LETHCK2-10, TETHCK & TETHCK2-10


ZERO

REPORT Method

Bow reference sections are reported as zero.

This method is available for the following Calculations:

BOWX, BOWY, BOWT


Best Fit Parameters

Best Fit parameters allow you to define how Best Fit algorithms will be applied to twist and stack calculations.

The following Best Fit Algorithm Types are available:

  • NONE

    • No Fit

  • Least Squares Best Fit

    • Least Squares

    • Constrained Least Squares

    • Vector Fit

    • Full Blade Least Squares

    • Leading Edge Arc Least Squares

  • 2 Point MCL Best Fit

    • Two Point MCL

    • Two Point MCL from Tail

    • Two Point MCL Best Fit Parameters

  • G uillotine Fit

See Also: "Editing a Flavor File" and "Example Flavor File"


None

Using "No Fit" for the best fit algorithm is good for checking stock coverage on forge and cast blades. No best fit algorithm will be performed. When the "No Fit" option is selected for best fit 2-5, no entry will be found in the Flavor file since this is the default for best fit 2-5.

Example Flavor file entry:

BESTFIT1 NONE


Least Squares Best Fit

Blade uses five variations of the least squares algorithm. See the "Least Squares Parameters" topic for information the available options.

Least Squares

Performs the standard least squares best fit algorithm.

Flavor File Example: BESTFIT1 LSQ CC CV LE TE

Constrained Least Squares

Performs the least squares best fit algorithm where the twist and stack values must not exceed tolerances.

Flavor File Example: BESTFIT1 CLSQ CC CV LE TE

Note: In the case where both STACK and RELSTACK values are toleranced, the most constrictive of the two are used to constrain. In the case where DLB (BOW) and STACK calculations are both called for, the DLB tolerances (BOW) are used.

Vector Least Squares

Performs the least squares best fit algorithm that looks at the vectors of the points on the spline for its freedom of "movement". This allows the fit to solve faster than a conventional least squares best fit.

Flavor File Example: BESTFIT1 VECTOR CC CV LE TE

Fullblade Least Squares

Performs the least squares best fit algorithm that fits all sections at once.

Flavor File Example: BESTFIT1 FULLBLADE CC CV LE TE

Leading Edge Arc Least Squares

The leading edge arc least squares fit is a special fit. It swings two arcs from the nose point. All points lying in the annulus defined by the two arcs are used in the best fit.

Flavor File Example: BESTFIT1 LEARC CC TE

Note: The inner arc can have radius of zero, so that all points within a circle can be used. This can further be refined by only selecting points on the CVX or CCV side.


Least Squares Parameters

These parameters further define how the least squares best fit is performed.

  • Use in Fit - Selecting the check boxes will include that side or edge in the best fit. In the example below the least squares algorithm will be performed on both edges (LE and TE) and both sides (CC and CV).

Flavor File Example: BESTFIT1 LSQ CC CV LE TE

  • Weight - Provides the weight that will be given to the associated edge or side in determining the best fit. In the example shown below the four values represent the weight that will be given to first, the concave side; second, the convex side; third, the leading edge; and fourth, the trailing edge.

Flavor File Example: WEIGHTS 2 1 3 4

  • Max Iterations - A best fit can be constrained to a maximum number of iterations. The example states that the fit can be rerun 15 times. Increasing this number can sometimes improve the fit, and will always slow down the processing of the blade.

Flavor File Example: MAXITERS 15

  • Measure Points to Nom Curve/Measure Curve to Nom Pts toggle - From the drop-down box, select whether points are measured to the nominal curve (use a value of 0) or the curve is measured to the nominal points (use a value of 1). The example below will measure the curve to the nominal points.

Flavor File Example: USENOMINALS 1

  • Vector Fit (ONLY for Full Blade Least Squares) - Determines whether the Full Blade Least squares alogrithm looks at the vectors of the points on the spline as with a Vector Least Squares algorithm.


2 Point MCL Best Fit

Blade uses two variations of the 2 Point best fit algorithm.

Two Point MCL

The Mean Camber Line (MCL) best fit is based upon the nominal line between two "balance" points in relation to the leading edge. For example. if you were to use MCL Percentages of 5 and 95, the fit will be based on the nominal Mean Camber Line between the point that is 5% from the leading edge point and the point that is 95% from the leading edge point.

Two Point MCL From Tail

This is the same as conventional Two Point MCL best fit, but the points are in relation to the trailing edge rather than the leading edge.

Two Point MCL Best Fit Parameters

  • Use Offsets - The "balance" points for the fit are the leading edge and trailing edge offset points instead of points based on MCL Percentages. When this option is not selected, MCL Percentages will be used instead.

  • MCL Percentages: These two values provide the location of "balance" points as a percentage of the length of the MCL. For example, values of 10 and 90 would use points at 10% and 90% along the MCL.


Guillotine Fit

The guillotine fit works by emulating a hard plate cut into the shape of the nominal section that when pressed against the actual section would enact some rotation and translation of the blade. The fit returns the rotation and translation, and any calculations that depend on the fit are reported to it.

Guillotine Fit Parameters

  • Use in Fit - Selecting either the Convex or Concave check box will include that side in the best fit. In the example below the guillotine algorithm will be performed on the Concave (CC) side of the blade.

Flavor File Example: BESTFIT1 GUILLO CC

  • Weight - Provides the weight that will be given to the associated edge in determining the best fit. . In the example shown below the four values represent the weight that will be given to first, the concave side; second, the convex side; third, value not used for guillotine fit; and fourth, value not used for guillotine fit.

Flavor File Example: WEIGHTS 2 1 1 1

  • Measure Points to Nom Curve/Measure Curve to Nom Pts toggle - From the drop-down box, select whether points are measured to the nominal curve (use a value of 0) or the curve is measured to the nominal points (use a value of 1). The example below will measure the curve to the nominal points.

Flavor File Example: USENOMINALS 1


Header File

The Header file (*.hdr) allows you to provide custom information for the Profile Plot header. See "Creating a Profile Plot" for more information on selecting a header file.

There are two ways a header file can be created:

  1. Select the Create | Header File menu item from the Blade interface. This opens the Save As dialog box. Provide a File Name and click Save. The Header File Definition dialog box appears. See "Editing the Header File".

  2. Manually create a flavor file using a text editor. See the "Example Header File" topic for more details.

More:

Editing the Header File

Example Header File


Editing the Header File

The Header File Definition dialog box allows you to edit the information that will be provided for the Profile Plot header.

To Edit a Header File:

  1. Select the Edit | Header File menu item. The Open dialog box appears.

  2. Browse to and select the existing header file and click Open. This opens the Header File Definition dialog box.

  3. Edit each of the Header Components in their relative location that they will be displayed in the Profile Plot header.

  4. Click OK to save your changes to the header (*.hdr) file.

The profile plot header will display as shown below if you select the header file that would be created with the dialog box shown above.

Custom Profile Plot Header

If you choose not to use a header file with your profile plot, the following default header will be used:

Default Profile Plot Header


Example Header File

Top Left Location

Top Middle Location

Top Right Location

Left Middle Location

Middle Location

Right Middle Location

Bottom Left Location

Bottom Middle Location

Bottom Right Location

See Also: "Editing the Header File"


Math File

The Math file (*.mth) is a binary spline representation of the "Nominal File". Math files cannot be edited directly, and they are only generated from Nominal files. When a "Report File" is processed, a Nominal file is created. Specify a Math file in place of a "Nominal File" to save processing time in the creation of a "Report File".

A Math file is needed for the creation of a "Tolerance File".

Important: Be careful when updating the Nominal file that is used to create the specified math file since the Math file is NOT automatically updated when its corresponding Nominal file is updated. Updating the Math file with changes made to the Nominal file will need to be done manually.

To create a Math file from a Nominal file:

  1. Select the Create | Math menu item or click the Create Math File button [image] on the Blade toolbar. This opens the Convert NOM to MTH dialog box.

  2. Browse to and select the needed Nominal file or type the full path and name of the file in the NOM File box. The MTH File box will automatically be filled in with the same path and name with a .mth extension. Edit the Math file name if needed.

  3. Click Convert to create the Math file.


Creating Profile Plots

Airfoil section plots provide a graphical comparison of nominal versus actual contour can easily be shown. The contour evaluation for polishing purposes is easily displayed.

Profile Plots can also display whiskers for out of tolerance conditions.

Below is an one example of multiple sections being displayed for comparison purposes.

Example of a Profile Plot in Exploded view

You can create a Profile Plot on either Online or Offline mode. For Online mode, all you need to do is add the AUTOPLOT command to the Flavor file and the Plot will automatically be created and printed (see "Editing a Flavor File").

To Create a Profile Plot in Offline mode:

  1. Create a Report file using BladeRunner to measure your part.

  2. Select the File | Open menu item or click the Open button [image] on the Blade toolbar. The Open dialog box appears.

  3. Select the report for the previously measured part and click Open. The

  4. Select the Plot | Create New Profile Plot menu item or click the Profile Plot button [image] on the Blade toolbar. The Profile Plot dialog box appears.

Profile Plot dialog box

  5. Specify the needed Profile Plot options as described in the "Profile Plot Options" topic.

  6. Click OK. The plot is created based upon the Profile Plot options.

More:

Profile Plot Options

D isplaying Additional Plot Elements

Changing Plot Parameters

E xample Trailing Edge Plot

Example Leading Edge Plot

Example Square Ended Blades


Profile Plot Options

The Profile Plot dialog box allows you to define the parameters that will be used to create a Profile Plot.

  • Section - Choose the section that you would like to display.

Best Fit Parameters

  • Algorithm - Select the best fit algorithm that will be used to create the plot.

  • Measure Points to Nom Curve/Measure Curve to Nom Pts toggle - From the drop-down box, select whether points are measured to the nominal curve (use a value of 0) or the curve is measured to the nominal points (use a value of 1). The example below will measure the curve to the nominal points.

  • Max Iterations - A best fit can be constrained to a maximum number of iterations. The example states that the fit can be rerun 15 times. Increasing this number can sometimes improve the fit, and will always slow down the processing of the blade. This value is used with least squares, guillotine, and vector fit algorithms.

  • Constraints - Allows you to define the constraints for rotation and translation with the following options:

    • Full - Performs the best fit rotation algorithms on all sections at once. (available for Least Squares and Guillotine algorithms)

    • None - No constraints are applied. (available for Least Squares and Guillotine algorithms)

    • In Tol - Performs the best fit algorithms on (available for Least Squares algorithm)

    • To Pivot - When this option is selected, a Pivot drop-down box becomes available, which allows you to select the pivot point about the LE Nose, LE Center, TE Nose, or TE Center. (available for Least Squares algorithms)

    • Best Form - Performs the best fit algorithms on (available for Guillotine algorithm)

    • To - Tol - (available for Guillotine algorithm)

    • To Nom - (available for Guillotine algorithm)

    • To + Tol - (available for Guillotine algorithm)

  • LE Percent - This value provides the location of leading edge "balance" points as a percentage of the length of the MCL. For example, a value of 10 would define a point 10% along the MCL. (available for "2 point" algorithms)

  • TE Percent - This value provides the location of trailing edge "balance" points as a percentage of the length of the MCL. For example, a value of 90 would define a point 90% along the MCL. (available for "2 point" algorithms)

Curve Options

  • Use in Fit - Select the Convex, Concave, Lead Edge & Trail Edge check boxes for the sides or edges that will be used in the fit.

  • Display in Plot - Select the Convex, Concave, Lead Edge & Trail Edge check boxes for the sides or edges that will be used in the plot.

  • Weights - Provides the weight that will be given to the associated edge or side in determining the best fit.

Tolerances

  • These values define plus and minus tolerances for Form, Twist, Displacement (Stack X & Stack Y).

Display Options

  • Exploded View - This view will separate the leading and trailing edges from the sides for a better picture of the separate areas of the blade. See the "Setting Miscellaneous 1 Options" topic for an example of exploded views.

  • Trihedron Rotation Angle - Rotates the trihedron for viewing purposes.

  • Print Scale Factor - Changes the scale of the print.

  • Header File - Allows you to select a previously created custom "Header File" for inclusion with the profile plot.

  • Note -


Displaying Additional Plot Elements

The Plot menu of the Blade interface allows you to add graphical elements to the display of your profile plot. Below is an example of the five available elements that you can add

Profile Plot with Additional Graphical Elements added

  1. Select the Plot | Show Mean Camber menu item to display the nominal (black) and actual (blue) Mean Camber Lines (MCL).

  2. Select the Plot | Max Thickness menu item to display circles for which the diameter values represent the nominal (black) and actual (blue) Maximum Thickness of the blade. The X, Y, and Radius nominal, actual or deviation values are also denoted depending on the option that is selected from the Plot | Report menu.

  3. Select the Plot | Show Compensation menu item to show compensation applied.

  4. Select the Plot | Show Leading Edge menu item to display circles for which the diameter values represent the nominal (black) and actual (blue) Leading Edge location and radius. The X, Y, and Radius nominal, actual or deviation values are also denoted depending on the option that is selected from the Plot | Report menu.

  5. Select the Plot | Show Trailing Edge menu item to display circles for which the diameter values represent the nominal (black) and actual (blue) Trailing Edge location and radius. The X, Y, and Radius nominal, actual or deviation values are also denoted depending on the option that is selected from the Plot | Report menu.

Highlighting Points and Width Calculations

You can add annotations for points along the spline of the profile plot or calculated widths at selected locations by double-clicking on the profile plot. The type of feature for which an annotations will be added depends on the Double Click To menu option that is selected.

  • Plot | Double Click To | Select Inspected Point - A new annotation is added for the closest actual measured point from the double-click location along the blade spline.

  • Plot | Double Click To | Select Any Point - A new annotation is added for the closest point (nominal or actual) from the double-click location along the blade spline.

  • Plot | Double Click To | Calc Width - A new annotation and a width diameter circle is added based on the double click location and the closest measured points on the opposing sides of the blade.

Changing Annotation Values

The type of annotation value for Point, Width Calculations, Leading Edge Points and Trailing Edge Points can be changed by selecting from the following options:

  • Plot | Report | Deviations - Values are displayed as the deviation between nominal and actual measured value.

  • Plot | Report | Actuals - Displays the actual measured values.

  • Plot | Report | Nominals - Displays the nominal values.


Changing Plot Parameters

To change plot parameters, select the Plot | Change Plot Parameters menu item or click the Plot Parameters button [image] on the Blade toolbar. The Change Plot Parameters dialog box appears.

Change Plot Parameters dialog box

Modify the following values to affect the display of the Profile Plot:

  • Side/End Deviation Magnification - Increasing the deviation magnification increases the contrast between the nominal and actual value. This further accentuates the measured deviations to help determine problem areas.

  • Lower/Upper Tolerance - Provide the upper and lower tolerances, beyond which actual points would be considered to be out of tolerance.

  • Print Scale Factor - Determines the scale factor that will be used for the display of the Profile Plot. Increasing this value will cause the print to be zoomed in on the center of the plot. You may want to move the plot (drag while holding right-click) to focus on a specific region of the plot.

  • Display Convex Side/Concave Side/Leading Edge/Trailing Edge - These check boxes toggle the display of the respective element in the profile plot.

Resetting the View or Restoring Zoom

  • Select the Plot | Restore Zoom menu item to perform scale to fit for the current zoom setting.

  • Select the Plot | Reset View menu item to perform scale to fit for the current zoom setting. This option will also clear any annotations.


Example Trailing Edge Plot

help small trailing edge


Example Leading Edge Plot

help le contour


Example Square Ended Blades


Saving Calculations

To save calculations, select the Action | S ave Calculation menu item or click the Save Calculations button [image] on the Blade toolbar. Calculations are saved to the various output types as specified in the Flavor file.

See the "Setting Datapage Options", "Setting Reporting Options" and "Setting Customization Options" topics for more information on output types. A message box will display for any errors that occur while creating output data.


Toggling the Toolbar and Status Bar

From the View menu of the Blade interface you can toggle the display of the Blade Toolbar and Status Bar.

  • Select the View | Toolbar to toggle the display of the Blade Toolbar.

  • Select the View | Status Bar to toggle the display of the Blade Status Bar.


Blade Toolbar

  1. Open (File | Open) - Opens an existing report file for analysis.

  2. Save Calculations (Action | Save Calculations) - Saves the analysis data to Datapage, and the various output files that are available when in OFFLINE mode.

  3. Edit Preferences (Edit | Preferences) - Allows you to edit Blade preferences.

  4. Plot Parameters (Plot | Change Plot Parameters) - Changes the parameters of the plots (only available during the "New profile plot" menu option).

  5. Print (File | Print ) - Prints the current window.

  6. Create Math File (Create | Math File) - Creates a Math file from a Nominal file.

  7. Profile Plot (Plot | Create New Profile Plot) - Creates a new profile plot from the analyzed report file.

  8. Zoom In (Zoom | Zoom In +) - Zooms in on the active window.

  9. Zoom Out (Zoom | Zoom Out -) - Zooms out on the active window.

  10. About (Help | About Blade) - Opens the About Blade window showing the current Blade version.

  11. Help (Help | Help Topics) - Opens the Blade On-line Help File.

  12. Exit (File | Exit) - Exists Blade.


Blade Shortcuts

Keyboard Shortcuts

  • Alt-F4: Close Blade

  • Ctrl-O: Open dialog

  • Ctrl-P: Print dialog

  • Ctrl-TAB: Advance to next window in report

  • F1: Displays the Blade help system's main page.

Profile Plot Shortcuts

  • Right mouse button drag: Pan during plot view.

  • Left mouse button drag: Create a zoom box during plot view.

  • Ctrl-R: Reset View (Clear annotations and Scale to Fit)

  • Ctrl-Z: Restore Zoom (Scale to Fit)

  • Ctrl-Right-click: Display nominal point numbering (Only works when nominal curve is displayed).


Measuring Blade Parameters

Blade allows you to measure the following blade parameters:

  • Bow

  • Chord Angle

  • Chord Length

  • Contour Points

  • Displacement

  • Edge Angle

  • Edge Position

  • Edge Thickness

  • End Radius

  • Extreme

  • Form and Location Contour

  • Form Only Contour

  • Maximum Thickness

  • Relative Calculations

  • Twist

You can add calculations for each of the blade parameters using a Flavor File.


Bow

A type of displacement where the deviation is calculated from the actual stacking line.

Special note regarding BOWT: The bow plane (as specified by the bow angle, bow x and bow y parameters in the tolerance file) is intersected with the CONCAVE or CONVEX (methods) side of the airfoil, and this point is the reference point for the true position calculation.

BOWT is Bow expressed as a true position value. Previously you could call out BOW X and Y errors, now you can report it as a true position value, BOWT = 2*sqrt(BOWX^2 + BOWY^2)

Lean, displacement, and bow are shown in the graphic below. (DLB)


Chord Angle

Chord line angle in section plane after user-defined best-fit.

The angle convention in Blade is positive CCW (Looking in the Z minus direction)

The actual chord line after best fit is compared to the nominal chord line. This angle may be different than the twist angle because nose and tail points can change when the camber of the blade changes.

Chord angle can be measured relative to a reference section. See topic "Relative Calculations".

The chord angle in the picture below is the angle between the Chord Line and the XAXIS.

Example of Chord Angle

Comparison between the chord angle methods

The chord angle is always the measure of the sweep from the positive X axis to the "chord line vector". The chord line vector is always the direction between two determined points. The determination of these two points depends on the method. The vector (direction) of the chord line is defined from the first point to the second point. The two points are:

Method | First Point | Second Point
NOSETAIL | Nose point (projected intersection of MCL and LE) | Tail point (projected intersection of MCL and TE)
CALIPER | Find the line that will touch the CCV curve in two places, this point is the touch point closer to the LE. | Find the line that will touch the CCV curve in two places, this point is the touch point closer to the TE.
LE_DIST | Create a line from nose point to tail point. Create point that is on this line and its distance from the nose point is gage offset 1. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the first point. | Create a line from nose point to tail point. Create point that is on this line and its distance from the nose point is gage offset 2. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the second point.
LE_TE | Create a line from nose point to tail point. Create point that is on this line and its distance from the nose point is gage offset 1. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the first point. | Create a line from nose point to tail point. Create point that is on this line and its distance from the tail point is gage offset 2. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the second point.
STACK | Create the line from nose point to tail point. Project the stack point (origin) onto this line. Create point that is on the line and its distance from the projected stack point is gage offset 1. This point is toward the LE. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the first point. | Create the line from nose point to tail point. Project the stack point (origin) onto this line. Create point that is on the line and its distance from the projected stack point is gage offset 2. This point is toward the TE. A line is created that passes through this point and is perpendicular to the chord line. This line is intersected with the CCV side to determine the second point.


Chord Length

This is the length of an airfoil section. It is roughly the distance from the nose point to the tail point of a section. There are many methods of calculating chord length.

Note: Chord length is sometimes referred to as chord width.

Example of chord width.


Contour Points

Contour Points Evaluation

There are two types on "contour point" evaluations:

  • NUMOUTTOL - Lists list the number of contour points that are out of tolerance for each section.

  • PERCOUTTOL - Lists the percentage of contour points out of tolerance for each section.

Both of these options work with the ZONEFORM parameter. ZONEFORM will create a second table on the matrix report that details each "zone" or point in this case.

Note: They ONLY work when ZONEFORM NOMINAL is chosen in the flavor file.


Displacement

The amount a section stack point moved during the best fit. This is critical to understanding the deviation amounts, they are not the deviation in the direction of the axis as measured, but exactly the opposite. Use the MULTIPLIER option in the flavor file to reverse the output.

Alternatively stated: Offset given by user-defined best fit. (Relative to the CMM datum).

It is also sometimes referred to as SHIFT or OFFSET.

Displacement is typically measured separately in X and Y directions, but can also be calculated as a true position (BOWT, and STACKT)

Displacement can also be measured relative to a reference section. See the "Relative Calculations" topic.

See related topic and graphics: Bow


Edge Angle

Edge Angle is the angle the edge of the blade is against a certain axis.

The angle convention in Blade is positive CW (Looking in the Z minus direction).

Description of the default method:

  1. A radius is created by swinging and arc of radius equal to LE_ANGOFFSET (first value) with a center on the nose point.

  2. A 2nd radius is created by swinging and arc of radius equal to LE_ANGOFFSET (second value) with a center on the nose point.

  3. The MCL is intersected with arc 1 creating point 1. The MCL is intersected with arc 2 creating point 2.

  4. A straight line is drawn through points 1 and 2.

  5. The angle of that line is the leading edge angle.

  6. The same steps apply for the trailing edge angle, using the tail point as the arc centers.

Another distinct method is to use the LECONT best fit angle. See the "Calculations and Methods" topic for more information.


Edge Position

Edge Position is the distance between stack point and leading or trailing edge relative to an axis.

leading edge position

Example of leading edge position relative to the axis


Edge Thickness

Edge thickness is the width of a blade section at a certain point on the section. The measurement is normally taken a certain distance in from the edge of the airfoil (see LE_OFFSET, TE_OFFSET in tolerance keywords and nominal keywords).

Example of Edge Thickness


End Radius

Radius of the leading or trailing edge. There are multiple methods for this calculation.

Also called Edge Radius.

Example of End Radius


Extreme

This has 4 methods, XPLUS, XMINUS, YPLUS, YMINUS.

Currently this finds the extreme of a section along any of the 4 axes. It does this with the actual WITHOUT any fit applied.

Note that the sign of the calculation is purely arithmetical. So if you are planning to find the extreme XMINUS or YMINUS point and expect to see a positive number when the actual "sticks out beyond" the nominal, you will have to use a multiplier of -1.


Form and Location Contour

This is the maximum or minimum material found on the contour. Deviation along the section normal vector is calculated and the maximum and minimum values are calculated.

See also: Zoneform

Example of Form and Location Contour


Form Only Contour

This is calculated using the formula (MaxDev - MinDev) where MaxDev is the maximum material on the contour, and MinDev is the minimum material on the contour.

LECONT and TECONT currently imply a least squares best fit. This fit uses all points up to the LE_CHANGE value.

Example of Form Only Contour


Maximum Thickness

Maximum thickness of section. The maximum inscribed circle is calculated for the airfoil section.

Example of Maximum Thickness


Relative Calculations

Some calculations can be done relative to a datum section. Use the REFSECT parameter to define the section that is used as a reference section.

These calculations are:

  • RELCHDANG

  • RELTWIST

  • RELSTACKX

  • RELSTACKY


Twist

The amount of rotation an actual section is turned to coincide with the nominal section.

Angle given by user-defined best fit. (CMM datum).

The angle convention in Blade is negative CCW (Looking down the ZMINUS vector, or alternatively stated ZPLUS pointing "up".)

Twist can be measured relative to a reference section. See the "Relative Calculations" topic.

See related topic: Chord Angle


Waviness

Analyzes the maximum amplitude for a given width over the entire section.

Besides selecting this calculation and tolerancing it, the user must also set the parameter Wavewidth, which defines the width of the sliding window that is moved around the profile to evaluate the Waviness.

Example Showing a Graphic Depiction of the waviness function


Reports/Output

Options for reports and output files are set using the Reporting tab of the Flavor File dialog box.

Flavor File dialog box Reporting tab

Two main types of reports can be created with Blade:

  • Matrix Report (RPT)

  • CMM Report (CMM)

Nine other types output can be automatically created by Blade:

  • PC-DMIS Import XYZ File (XYZ)

  • IGES File (IGS)

  • Airfoil Surface File (AS)

  • CSV File (CSV)

  • Ball Center Data File (BCD)

  • Mean Camber Line File (MCL)

  • CMM Report (CMM) Sorted by Calc

  • Export to DataPage Database - Details found on the DataPage tab of the Flavor File dialog box..

  • Average File (AVG) - Details found on the Customizations tab of the Flavor File dialog box.

Also see the "Changing Miscellaneous Options", "Setting Customization Options" and "Setting Datapage Options" topics for more information.


Matrix Report (RPT)

The Matrix report is the standard Blade report that is presented in a tabular form to provide a quick look at part deviations.

The format of this table can be changed in the "Flavor File". See the "Setting Reporting Options" topic for more information.

This graphic demonstrates the matrix report. Notice that the contour deviations can be double-clicked for a graphical contour evaluation.

The table shown at the bottom the "Zoneform" table.

This report is generated ONLINE or OFFLINE by analyzing a blade. See "Introducing Blade" for more information.


CMM Report (CMM)

Standard CMM data output, similar to a PC-DMIS part program. See the "CMM Report (CMM) Sorted by Calc" for an example of this file sorted by calculation.

!******* Start of Example CMM File ******************

Report from Y:\BladeRunner\blades\1234\1234.rpt
SERNO = 1
OPERATION = TEST
CMM = BROWNSHARPE
PARTCOUNT = 1

Actual Nominal Deviation +Tol -Tol OutTol
Section B-B

LE THICK 0.2860 0.1804 0.1056 0.0139 -0.0137 0.0917
TE THICK 0.2108 0.1191 0.0917 0.0198 -0.0290 0.0719
MAX THICK 1.0895 0.9634 0.1262 0.0325 -0.0327 0.0936
CHORD WID 7.0645 6.9211 0.1434 0.0620 -0.0762 0.0814
TWIST ANG -0.0117 0.0000 -0.0117 0.2500 -0.2500 ----*----
SHIFT -0.0014 0.0000 -0.0014 0.0064 -0.0064 ---*-----
SHIFT 0.0040 0.0000 0.0040 0.0064 -0.0064 -------*-

Section D-D

LE THICK 0.2282 0.1135 0.1148 0.0078 -0.0078 0.1069
TE THICK 0.1772 0.0774 0.0997 0.0090 -0.0212 0.0908
MAX THICK 0.7394 0.6107 0.1286 0.0202 -0.0202 0.1085
CHORD WID 7.0472 6.9154 0.1318 0.0677 -0.0705 0.0641
TWIST ANG -0.0367 0.0000 -0.0367 0.2500 -0.2500 ---*-----
SHIFT -0.0018 0.0000 -0.0018 0.0189 -0.0189 ----*----
SHIFT -0.0051 0.0000 -0.0051 0.0189 -0.0189 ---*-----

Section F-F

LE THICK 0.1788 0.0525 0.1263 0.0060 -0.0060 0.1203
TE THICK 0.1235 0.0372 0.0864 0.0027 -0.0113 0.0836
MAX THICK 0.4111 0.2842 0.1269 0.0094 -0.0094 0.1175
CHORD WID 7.0324 6.9143 0.1181 0.0688 -0.0694 0.0493
TWIST ANG -0.0301 0.0000 -0.0301 0.2500 -0.2500 ---*-----
SHIFT 0.0050 0.0000 0.0050 0.0200 -0.0200 -----*---
SHIFT -0.0136 0.0000 -0.0136 0.0200 -0.0200 -*-------

!******* End of Example CMM File ******************


PC-DMIS Import XYZ File (XYZ)

Outputs data an XYZIJK comma delimited, probe compensated data that can be imported into PC-DMIS.

!******* Start of Example XYZ File ******************

XYZIJK
0.49532,-0.91953,1.72200,-0.92495,-0.37926,-0.02494
0.4926,-0.91295,1.72200,-0.92355,-0.38270,-0.02461
0.48711,-0.89984,1.72200,-0.92209,-0.38621,-0.02414
0.48161,-0.88671,1.72200,-0.92209,-0.38624,-0.02392
0.45959,-0.83425,1.72200,-0.92122,-0.38835,-0.02295
0.43728,-0.78192,1.72200,-0.91854,-0.39474,-0.02169
0.41453,-0.72976,1.72200,-0.91479,-0.40342,-0.02030
0.36712,-0.62632,1.72200,-0.90374,-0.42774,-0.01724
0.31582,-0.52476,1.72200,-0.88373,-0.46781,-0.01357
0.25912,-0.42610,1.72200,-0.85244,-0.52273,-0.00952
0.19566,-0.33170,1.72200,-0.80959,-0.58697,-0.00543
0.12424,-0.24316,1.72200,-0.74883,-0.66276,-0.00130

!******* Start of Example XYZ File ******************


IGES File (IGS)

IGES points file of blade measurements. This file is a standard IGES points file and should import into all CAD packages.


Airfoil Surface File (AS)

Output in OEM specific airfoil surface data file, data is filtered to 112 points per section.

!******* Start of Example AS File ******************

TITLE: BROWN & SHARPE 1234.rpt S/N: hv
COMMENT PARTCOUNT=1
ENGLISH(IN)/METRIC(MM) INDICATOR :IN-P
REFERENCE AIRFOIL TYPE : 1
AERO REF. LINE CANT ANGLE (DEG) : 0.0000
NUMBER OF AIRFOILS : 1
TOTAL NUMBER OF SURFACE PROFILES : 1
SURFACE PROFILE NUMBER : 1
EXTERNAL SURFACE PROFILE TITLE :EXTERNAL
PROFILE CONDITION (HOT/COLD) :COLD
COATING CONDITION (BARE/COATED) :COATED
COATING THICKNESS AND DENSITY : 0.038850 0.000000
TOTAL NUMBER OF SECTIONS : 5
NUMBER OF POINTS PER SECTION : 112
SPLINE REGION INDICATOR : 0
REF. SURF.(PLANAR/CONICAL/RANDOM):RANDOM
SECTION NUMBER : 1
SECTION TITLE : E-E
REFERENCE RADIUS : 0.438000
REFERENCE CONE ANGLE (DEG) : 0.000000
NOSE POINT (X,Y,S) : -0.304300 0.371400 0.438200
TAIL POINT (X,Y,S) : 0.421500 -0.435500 0.437700
SECTION COORDINATES (X,Y,S) : -0.304300 0.371400 0.438200
: -0.291700 0.377900 0.438100
: -0.285300 0.380100 0.437900
: -0.265100 0.381700 0.438100
: -0.258600 0.380600 0.438200
: -0.251900 0.378700 0.438300
: -0.245200 0.375800 0.438200
: -0.239400 0.372200 0.438200
: -0.233800 0.368000 0.438000
: -0.223700 0.358000 0.438000
: -0.215200 0.348100 0.438000
: -0.206900 0.338200 0.438100
: -0.198300 0.328100 0.438200
: -0.181200 0.308200 0.438200
: -0.168200 0.293400 0.438200

!******* End of Example AS File ******************


CSV File (CSV)

Comma Delimited File (CSV)

CSV exported values are shown below as it would appear if you imported the data into a table.

The Table consists of the following values:

  • First row is the date and time stamp.

  • First column (excluding first row) is the section.

  • Second column is the calculation.

  • Third column is the measurement.

  • Fourth column is the nominal.

  • Fifth column is the upper tolerance.

  • Sixth column is the lower tolerance.

Example CSV File in Table.

Zoneform tables can also be output to this file.


Ball Center Data File (BCD)

Output in OEM specific airfoil surface data file, data is not filtered.

!******* Start of Example BCD File ******************

Radius 0.058900
BB 113
-1.86770 -0.91500 4.86800
-1.88230 -0.90320 4.86800
-1.89450 -0.88880 4.86800
.......

GG 6
-1.67820 -0.04370 12.18390
-1.69300 -0.03230 12.18390
-1.70500 -0.01670 12.18390
.......

MM 6
-1.41160 0.95210 19.49990
-1.41200 0.96340 19.50030
-1.40970 0.98150 19.50030
.......

!******* End of Example BCD File ******************


Mean Camber Line File (MCL)

Outputs an ASCII text file representing the mean camber line of the airfoil, all sections included.

!******* Start of Example MCL File ******************

NUMSECT 32
A-A NOMINAL 100
-2.618425, -0.370036, 53.000000
-2.510638, -0.370590, 53.000000
-2.402865, -0.368996, 53.000000
-2.295176, -0.364326, 53.000000
-2.187662, -0.356669, 53.000000
-2.080362, -0.346410, 53.000000
-1.973214, -0.334676, 53.000000
-1.866185, -0.321901, 53.000000
-1.759267, -0.308235, 53.000000
-1.652441, -0.293858, 53.000000
-1.545695, -0.278904, 53.000000
-1.439029, -0.263386, 53.000000
-1.332448, -0.247301, 53.000000
-1.225954, -0.230647, 53.000000
-1.119550, -0.213421, 53.000000

!******* End of Example MCL File ******************


CMM Report (CMM) Sorted by Calc

Standard CMM data output, similar to a PC-DMIS part program. See the "CMM Report (CMM)" for an example of this file sorted by section.

!******* Start of Example CMM File ******************

Report from Y:\BladeRunner\blades\1234\1234.rpt
SERNO = 1
OPERATION = TEST
CMM = BROWNSHARPE
PARTCOUNT = 1

Actual Nominal Deviation +Tol -Tol OutTol

Calculation LE THICK

BB 0.2860 0.1804 0.1056 0.0139 -0.0137 0.0917
DD 0.2282 0.1135 0.1148 0.0078 -0.0078 0.1069
FF 0.1788 0.0525 0.1263 0.0060 -0.0060 0.1203

Calculation TE THICK

BB 0.2108 0.1191 0.0917 0.0198 -0.0290 0.0719
DD 0.1772 0.0774 0.0997 0.0090 -0.0212 0.0908
FF 0.1235 0.0372 0.0864 0.0027 -0.0113 0.0836

Calculation MAX THICK

BB 1.0895 0.9634 0.1262 0.0325 -0.0327 0.0936
DD 0.7394 0.6107 0.1286 0.0202 -0.0202 0.1085
FF 0.4111 0.2842 0.1269 0.0094 -0.0094 0.1175

Calculation CHORD WID

BB 7.0645 6.9211 0.1434 0.0620 -0.0762 0.0814
DD 7.0472 6.9154 0.1318 0.0677 -0.0705 0.0641
FF 7.0324 6.9143 0.1181 0.0688 -0.0694 0.0493

Calculation TWIST ANG

BB -0.0117 0.0000 -0.0117 0.2500 -0.2500 ----*----
DD -0.0367 0.0000 -0.0367 0.2500 -0.2500 ---*-----
FF -0.0301 0.0000 -0.0301 0.2500 -0.2500 ---*-----

Calculation SHIFT

BB -0.0014 0.0000 -0.0014 0.0064 -0.0064 ---*-----
BB 0.0040 0.0000 0.0040 0.0064 -0.0064 -------*-
DD -0.0018 0.0000 -0.0018 0.0189 -0.0189 ----*----
DD -0.0051 0.0000 -0.0051 0.0189 -0.0189 ---*-----
FF 0.0050 0.0000 0.0050 0.0200 -0.0200 -----*---
FF -0.0136 0.0000 -0.0136 0.0200 -0.0200 -*-------

!******* End of Example CMM File ******************


Export to DataPage Database

DataPage Database Export

The capability exists to export to a DataPage database. See the "Setting Datapage Options" topic for more information.


Average File (AVG)

This file contains the output points from the average analysis of a blade. These files can be "averaged" to produce the mean airfoil from a set of airfoils. This is particularly useful in engineering applications including reverse engineering.

!******* Start of Example AVG File ******************

FLAVOR C:\BladeRunner\blades\1234\GE_NO_BESTFIT.flv
PART 1234_AVG
NOMINAL C:\BladeRunner\blades\1234\124E4074.nom
TOLERANCE C:\BladeRunner\blades\1234\1234.tol
RADIUS 0.0
TEXT AVG_METHOD=NOM
CALCS 8
TETHCK
MAXTHK
CHORD
TWIST
CCMIN
CCMAX
CVMIN
CVMAX
PLATFORM 0
NUM_SECT 3
SECT1 112
0.727373 -1.337636 1.875000
0.722358 -1.327370 1.875000
0.716484 -1.314291 1.875000
0.709277 -1.298257 1.875000
0.701149 -1.278499 1.875000
0.691115 -1.255131 1.875000
0.679481 -1.227347 1.875000
0.665838 -1.195288 1.875000
0.650235 -1.158923 1.875000
0.632765 -1.118459 1.875000
0.613132 -1.073876 1.875000

!******* End of Example AVG File ******************

See the "Average a Set of Blades" topic for more information.


Appendix A: Using Blade with other Measuring Systems

The following steps should be taken for each part number (not each part) that is to be measured when using Blade with another measuring systems (Not PC-DMIS):

  1. Create a nominal file. See "Nominal File".

  2. Create a tolerance file. See "Tolerance File".

  3. Create a flavor file. See "Flavor File".

  4. Create a report file. See "Report File".

  5. Insert a command into your part measurement routine that calls the Blade program within the Windows Operating System, with the name of the report file that is generated each time a part is measured.

Example Command: "C:\Blade\Blade.exe C:\BladeRunner\blades\1234\1234.rpt"


Appendix B: Measuring Multi-bladed Rotors

Multi-bladed rotors are also known as IBR's (integrally bladed rotors) and blisks.

Blade treats each airfoil separately, and is requested to analyze and report on each blade independently.

Please see BladeRunner help for information on this topic including implementation strategies.


Actual

Actual data is the same as measured data. It is the real values as derived by the measuring system.


Airfoil

An object roughly shaped like a fan blade. It has a curved geometry which when drawn through air, creates lift on one side of the blade. This moves air, which can be directed for thrust, compression, or other purposes.


Axial

Typically describes a direction parallel to the direction of airflow.


Axis

A straight line about which a body or a geometric figure rotates or may be supposed to rotate.


Best Fit

The translation and rotation of an actual spline versus a nominal spline to effectively make the two match each other as much as possible.


Bit Logic

Uses values for each parameter that added up specify an option. If you want to turn options 1, 2 and 4 on, then add 1+2+8. The sequence for bit logic is: 1,2,4,8,16,32,64,128, etc...


BladeRunner

The BladeRunner airfoil measurement software manages the execution of your Blade part program in PC-DMIS. This program should be installed with the Blade Package in PC-DMIS installations. Refer to BladeRunner help for proper operation of the Blade Turnkey System. BladeRunner automatically creates a report file (*.rpt) that is passed to the Blade analysis tool upon completion part program execution.


Camber

The "curl" of a blade. If the concave side of a blade section is laid on a flat surface, the more area under the blade, the more camber it has.


CCW

Counter-Clockwise


Chord Line

Most often: A line between the nose and tail point.
Also: A line that is tangential to the concave side of a blade section.


CMM

Coordinate Measurement Machine


Concave

The side of the airfoil that is cupped, or when placed on a flat surface, makes a "cave".


Contour

An outline especially of a curving or irregular figure, also the line representing this outline.


Convex

The side of an airfoil that is curved outward, or when placed on a flat surface, rocks.


Datum

A reference or starting point. A place that is referenced as the "zero" point for all other calculations. A coordinate systems origin point.


Inscribed

Object is internal to a set of data. None of the data is contained within the object, the object is fully contained in the data.


Iteration

The act of repeating a procedure whose inputs are the outputs of the previous run of the procedure. This refines the results.


Leading Edge

The leading edge of an airfoil is the edge that cuts or hits the air the airfoil passes through. The leading edge is the opposite of the trailing edge.


Least Squares

A type of mathematical minimization that attempts to reduce the square root of the sum of the squares of the deviations. It is the most common type of best fit in metrology.


MCL

Blade creates the mean camber line through the measured or nominal data points.

The MCL is a bestfit curve drawn through the set of points that define the midcurve of the convex side and the concave sides.


Nose Point

The nose point of a section is a point where the MCL pierces the leading edge.


Probe Compensation

The act of moving the calculated center of a probe tip to the surface it measured.

About Probe Compensation in PC-DMIS Blade

PC-DMIS Blade assumes that the blade is locally flat by considering the small patch around the point to be planar.

PC-DMIS Blade uses the normal vector of this plane to compensate for the radius of the probe to determine the location where the probe made contact with the part surface.

The contact point is probably not in the section plane so the algorithm slides the contact point along the local plane until it sits in the section plane.

To perform the above steps PC-DMIS Blade needs to determine the approximate vector of the local plane at each point. The software can determine the I and J components of the plane vector by evaluating the 2D ball center spline.

PC-DMIS Blade estimates the K component of each point’s plane vector by finding the corresponding point on the nominal curve and uses its K value (interpolated using the two closest nominal points). This K value is combined with the I and J values determined above to construct approximate surface normal vector.


Section

Typically a planar slice through an airfoil at a given distance from the datum of the blade. It is often split into four sections called the convex and concave sides, and leading and trailing edges.


Spec Limit

A tolerance that is specified in absolute terms. An upper or lower limit of a value, as opposed to a nominal value plus or minus a value.


Spline

A curve that is described by mathematical functions. It is created through sets of points.


Stacking Line

A line that passes through all of the origin points of each section. (Actual or nominal). It is also referred to as the centerline of twist.


Stack Point

The origin point of a section (Actual or Nominal)


Tail Point

The tail point of a section is a point where the MCL pierces the trailing edge.


Tolerance

A value which when added or subtracted with a nominal value, gives the upper or lower limit (specification limit) for a certain characteristic.


Trailing Edge

The trailing edge of an airfoil is the opposite of the leading edge. It is the edge on the airfoil where the air that is separated by the airfoil meets. The tail point is a point on the trailing edge of the airfoil.